/*******************************************************************************
*                                 AMetal
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2018 Guangzhou ZHIYUAN Electronics Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
*******************************************************************************/
/**
 * \file
 * \brief GPIO ж̣ͨ׼ӿʵ
 *
 * - 裺
 *   1.  J14  KEY  PIOA_13 ̽һ
 *
 * - ʵ
 *   1. ° KEY/RES "the gpio interrupt happen!"
 *
 * \note
 *    ۲촮ڴӡĵϢҪ PIOB_3  PC ڵ RXD
 *    SWDŸãεSWD߷
 * \par Դ
 * \snippet demo_aml165_core_std_gpio_trigger.c src_aml165_core_std_gpio_trigger
 *
 * \internal
 * \par Modification History
 * - 1.00 17-04-17  nwt, first implementation
 * \endinternal
 */

/**
 * \addtogroup demo_if_aml165_core_std_gpio_trigger
 * \copydoc demo_aml165_core_std_gpio_trigger.c
 */

/** [src_aml165_core_std_gpio_trigger] */
#include "ametal.h"
#include "am_vdebug.h"
#include "am_zml165.h"
#include "demo_std_entries.h"
#include "demo_aml165_core_entries.h"

/**
 * \brief 
 */
void demo_aml165_core_std_gpio_trigger_entry (void)
{
    AM_DBG_INFO("demo aml165_core std gpio trigger!\r\n");

    demo_std_gpio_trigger_entry(PIOA_13);
}
/** [src_aml165_core_std_gpio_trigger] */

/* end of file */
