/*******************************************************************************
*                                 AMetal
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2018 Guangzhou ZHIYUAN Electronics Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
*******************************************************************************/

/**
 * \file
 * \brief MiniPort-View + MiniPort-595 ̣ͨ׼ӿʵ
 *
 * - 
 *   1. Ƚ MiniPort-595 ֱ aml165-Core  MiniPort ӣ
 *   2.  MiniPort-View  MiniPort-595 ӿӡ
 *
 * - ʵ
 *   1. Կֵ 0 ~ 59 
 *   2. С 30 ʱλ˸ 30 ʱʮλ˸
 *
 * \par Դ
 * \snippet demo_aml165_core_miniport_hc595_digitron.c src_aml165_core_miniport_hc595_digitron
 *
 * \internal
 * \par Modification history
 * - 1.00 15-07-21  tee, first implementation.
 * \endinternal
 */

/**
 * \addtogroup demo_if_aml165_core_miniport_hc595_digitron
 * \copydoc demo_aml165_core_miniport_hc595_digitron.c
 */

/** [src_aml165_core_miniport_hc595_digitron] */
#include <am_aml165_inst_init.h>
#include "ametal.h"
#include "am_vdebug.h"
#include "demo_std_entries.h"
#include "demo_aml165_core_entries.h"

/**
 * \brief 
 */
void demo_aml165_core_miniport_hc595_digitron_entry (void)
{
    AM_DBG_INFO("demo aml165_core miniport hc595 digitron!\r\n");

    am_miniport_view_595_inst_init();

    demo_std_digitron_60s_counting_entry(0);
}
/** [src_aml165_core_miniport_hc595_digitron] */

/* end of file */
