/*******************************************************************************
*                                 AMetal
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2018 Guangzhou ZHIYUAN Electronics Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
*******************************************************************************/

/**
 * \file
 * \brief MiniPort-ZLG72128 ̣ͨ׼ӿʵ
 *
 * - 
 *   1.  MiniPort-ZLG72128  aml165-Core  MiniPort ӡ
 *
 * - ʵ
 *   1. һλʾŵĶƣ
 *   2. żʱ˸ʱܲ˸
 *
 * \note
 *    Ա Demo  am_prj_config.h ڽ AM_CFG_KEY_GPIO_ENABLE
 *    AM_CFG_KEY_ENABLE  AM_CFG_SOFTIMER_ENABLE Ϊ 1Щ
 *    ѾĬΪ 1 ûٴá
 *
 * \par Դ
 * \snippet demo_aml165_core_miniport_zlg72128.c src_aml165_core_miniport_zlg72128
 *
 * \internal
 * \par Modification history
 * - 1.00 17-07-03  nwt, first implementation.
 * \endinternal
 */

/**
 * \addtogroup demo_if_aml165_core_miniport_zlg72128
 * \copydoc demo_aml165_core_miniport_zlg72128.c
 */

/** [src_aml165_core_miniport_zlg72128] */
#include <am_aml165_inst_init.h>
#include "ametal.h"
#include "am_vdebug.h"
#include "demo_std_entries.h"
#include "demo_aml165_core_entries.h"

/**
 * \brief 
 */
void demo_aml165_core_miniport_zlg72128_entry (void)
{
    AM_DBG_INFO("demo aml165_core miniport zlg72128!\r\n");

    am_miniport_zlg72128_inst_init();

    demo_std_key_digitron_rngbuf_entry(0);
}
/** [src_aml165_core_miniport_zlg72128] */

/* end of file */
