/*******************************************************************************
*                                 AMetal
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2018 Guangzhou ZHIYUAN Electronics Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
*******************************************************************************/

/**
 * \file
 * \brief ʱ TIMING ̣ͨ HW ӿʵ
 *
 * - ʵ
 *   1. жʱԴڴӡϢ
 *
 * \note
 *    1. ۲촮ڴӡĵϢҪ PIOB_3  PC ڵ RXD
 *    2. 16 λʱʱֵΪ 65536 ıʱһЩƫ
 *
 * \par Դ
 * \snippet demo_aml165_core_hw_tim_timing.c src_aml165_core_hw_tim_timing
 *
 * \internal
 * \par Modification history
 * - 1.00 17-04-22  nwt, first implementation
 * \endinternal
 */ 

/**
 * \addtogroup demo_if_aml165_core_hw_tim_timing
 * \copydoc demo_aml165_core_hw_tim_timing.c
 */

/** [src_aml165_core_hw_tim_timing] */
#include "ametal.h"
#include "am_clk.h"
#include "am_vdebug.h"
#include "am_zml165.h"
#include "am_zml165_clk.h"
#include "demo_zlg_entries.h"
#include "demo_aml165_core_entries.h"

/**
 * \brief 
 */
void demo_aml165_core_hw_tim_timing_entry (void)
{
    AM_DBG_INFO("demo aml165_core hw tim timing!\r\n");

    /* ʹܶʱʱ */
    am_clk_enable(CLK_TIM2);

    /* λʱ */
    am_zml165_clk_reset(CLK_TIM2);

    demo_zlg_hw_tim_timing_entry(ZML165_TIM2,
                                 AMHW_ZLG_TIM_TYPE1,
                                 am_clk_rate_get(CLK_TIM2),
                                 INUM_TIM2);
}
/** [src_aml165_core_hw_tim_timing] */

/* end of file */
