/*******************************************************************************
*                                 AMetal
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2018 Guangzhou ZHIYUAN Electronics Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
*******************************************************************************/

/**
 * \file
 * \brief TIM17 ʱ TIMING ̣ͨ׼ӿʵ
 *
 * - ʵ
 *   1. ԴʱϢ
 *   2. ʱڵ(ĬΪ 2Hz)Դڻ The timing frq is 2Hz;
 *
 * \note
 *    16 λʱʱֵΪ 65536 ıʱһЩƫ
*
 * \par Դ
 * \snippet demo_aml165_core_std_tim17_timing.c src_aml165_core_std_tim17_timing
 *
 * \internal
 * \par Modification history
 * - 1.00 17-04-22  nwt, first implementation
 * \endinternal
 */ 

/**
 * \addtogroup demo_if_aml165_core_std_tim17_timing
 * \copydoc demo_aml165_core_std_tim17_timing.c
 */

/** [src_aml165_core_std_tim17_timing] */
#include "ametal.h"
#include "am_vdebug.h"
#include "demo_std_entries.h"
#include "am_aml165_inst_init.h"
#include "demo_aml165_core_entries.h"

/**
 * \brief 
 */
void demo_aml165_core_std_tim17_timing_entry (void)
{
    AM_DBG_INFO("demo aml165_core std tim17 timing!\r\n");

    demo_std_timer_timing_entry(am_zml165_tim17_timing_inst_init(), 0);
}
/** [src_aml165_core_std_tim17_timing] */

/* end of file */
