/*******************************************************************************
*                                 AMetal
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2018 Guangzhou ZHIYUAN Electronics Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
*******************************************************************************/

/**
 * \file
 * \brief bootloader ̣demoΪӦó޷Ӧó
 *
 * - :
 *    1. eclipse̴demo_aml166_core_application.ldļӦóʼַ£
 *           FLASH (rx)  : ORIGIN = 0x00006800, LENGTH = 115K //ӦóʼַӦ0x6A00
 *
 *      keil̴demo_aml166_core_application.sctļʾ޸bootС£
 *          #define     ALL_START    0X00006800    //鳬0x6A00
 *          #define     ALL_SIZE     0X0001CC00    //ʵ
 *
 *      Ĭflash£
 *      򻮷:    |----------|-------------------|
 *      :        bootloader     application
 *      С:           25.5K           114k
 *
 *   1.빤
 *   2.̼οnoteʾ
 *
 * - 
 *   1. LED˸ѭӡ
 *   
 *
 * \note
 *    ̱ɶӦĹbinļҪbinļдΪ̼
 *
 *    ̼
 *
 *    ametal/tools/bootloader/̼У/ ļУĿ¼һbin_chek_sum.binִļ
 *    ̱binļbin_chek_sum.binͬһĿ¼£
 *    ڸĿ¼´cmd룺
 *         bin_chek_sum.exe  xxx.binbinļƣ xxx.binĿļȡ
 *
 *    ִһûԼȡĿļļҪ͵Ĺ̼
 *
 * \internal
 * \par Modification History
 * - 1.00 18-12-18  yrh, first implementation
 * \endinternal
 */

#include "ametal.h"
#include "am_vdebug.h"
#include "am_led.h"
#include "am_delay.h"

void demo_aml166_core_single_application_entry (void)
{
    AM_DBG_INFO("application : aml166_core single application start up successful!\r\n");

    while(1) {
        AM_DBG_INFO("application : aml166_core single application running\r\n");
        am_led_toggle(0);
        am_mdelay(1000);
    }
}

/* end of file */
