/*******************************************************************************
*                                 AMetal
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2018 Guangzhou ZHIYUAN Electronics Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
*******************************************************************************/

/**
 * \file
 * \brief MiniPort-KEY ̣ͨ׼ӿʵ
 *
 * - 
 *   1.  MiniPort-KEY ֱ aml166-Core  MiniPortӿӡ
 *
 * - ʵ
 *   1. °ʱԴڴӡǰϢ
 *
 * \note
 *    Ա Demo  am_prj_config.h ڽ AM_CFG_KEY_GPIO_ENABLE
 *    AM_CFG_KEY_ENABLE  AM_CFG_SOFTIMER_ENABLE Ϊ 1Щ
 *    ѾĬΪ 1 ûٴá
 *
 * \par Դ
 * \snippet demo_aml166_core_miniport_key.c src_aml166_core_miniport_key
 *
 * \internal
 * \par Modification history
 * - 1.00 15-07-21  tee, first implementation.
 * \endinternal
 */

/**
 * \addtogroup demo_if_aml166_core_miniport_key
 * \copydoc demo_aml166_core_miniport_key.c
 */

/** [src_aml166_core_miniport_key] */
#include <am_aml166_inst_init.h>
#include "ametal.h"
#include "am_vdebug.h"
#include "demo_std_entries.h"
#include "demo_aml166_core_entries.h"

/**
 * \brief 
 */
void demo_aml166_core_miniport_key_entry (void)
{
    AM_DBG_INFO("demo aml166_core miniport key!\r\n");

    am_miniport_key_inst_init();

    demo_std_4key_entry();
}
/** [src_aml166_core_miniport_key] */

/* end of file */
