/*******************************************************************************
*                                 AMetal
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2018 Guangzhou ZHIYUAN Electronics Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
*******************************************************************************/

/**
 * \file
 * \brief TIM1 ʱ TIMING ̣ͨ׼ӿʵ
 *
 * - ʵ
 *   1. ԴʱϢ
 *   2. ʱڵ(ĬΪ 2Hz)Դڻ The timing frq is 2Hz;
 *
 * \note
 *    16 λʱʱֵΪ 65536 ıʱһЩƫ
 *
 * \par Դ
 * \snippet demo_aml166_core_std_tim1_timing.c src_aml166_core_std_tim1_timing
 *
 * \internal
 * \par Modification history
 * - 1.00 17-04-22  nwt, first implementation
 * \endinternal
 */

/**
 * \addtogroup demo_if_aml166_core_std_tim1_timing
 * \copydoc demo_aml166_core_std_tim1_timing.c
 */

/** [src_aml166_core_std_tim1_timing] */
#include <am_aml166_inst_init.h>
#include "ametal.h"
#include "am_vdebug.h"
#include "demo_std_entries.h"
#include "demo_aml166_core_entries.h"

/**
 * \brief 
 */
void demo_aml166_core_std_tim1_timing_entry (void)
{
    AM_DBG_INFO("demo aml166_core std tim1 timing!\r\n");

    demo_std_timer_timing_entry(am_zlg116_tim1_timing_inst_init(), 0);
}
/** [src_aml166_core_std_tim1_timing] */

/* end of file */
