/*******************************************************************************
*                                 AMetal
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2018 Guangzhou ZHIYUAN Electronics Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
*******************************************************************************/

/**
 * \file
 * \brief UART λ̣ͨ׼ӿʵ
 *
 * - ʵ
 *   1.  "UART interrupt mode(Add ring buffer) test:"
 *   2. յַ
 *
 * \note
 *    1. ۲촮ڴӡĵϢҪ PIOA_9  PC ڵ RXD
 *    2. Դʹ뱾ͬӦںʹõϢ
 *      磺AM_DBG_INFO()
 *
 * \par Դ
 * \snippet demo_aml166_core_std_uart_ringbuf.c src_aml166_core_std_uart_ringbuf
 *
 * \internal
 * \par Modification history
 * - 1.00 17-04-18  ari, first implementation
 * \endinternal
 */

/**
 * \addtogroup demo_if_aml166_core_std_uart_ringbuf
 * \copydoc demo_aml166_core_std_uart_ringbuf.c
 */

/** [src_aml166_core_std_uart_ringbuf] */
#include <am_aml166_inst_init.h>
#include "ametal.h"
#include "am_vdebug.h"
#include "demo_std_entries.h"
#include "demo_aml166_core_entries.h"

/**
 * \brief 
 */
void demo_aml166_core_std_uart_ringbuf_entry (void)
{
    AM_DBG_INFO("demo aml166_core std uart ringbuf!\r\n");

    demo_std_uart_ringbuf_entry(am_zlg116_uart1_inst_init());
}
/** [src_aml166_core_std_uart_ringbuf] */

/* end of file */
