/**
 * \file
 * \brief ZSN603ͷļ
 *
 */
#ifndef __ZSN603_H_
#define __ZSN603_H_
#include "zsn603_platform.h"

/**
 * \name 豸״̬,ڱʾǰ豸״̬
 * ZSN603豸Ĺģʽ
 * @{
 */
/** \brief ZSN603ģʽ  -Ӧ*/
#define  ZSN603_NORMAL_MODE                     0xA0

/** \brief  Զģʽж
 * ģʽΪǰ豸Զģʽ,ҵǰͨģʽΪUARTģʽ,ҵǰԶģʽΪжһش
 */
#define  ZSN603_AUTO_MODE_NO_INT                0xA1

/** \brief  Զģʽж
 * ģʽΪǰ豸Զģʽ,ҵǰͨģʽΪUARTģʽ,ҵǰԶģʽΪжһش
 */
#define  ZSN603_AUTO_MODE_INT_MESSAGE           0xA2

/** \brief  Զģʽж
 * ģʽΪǰ豸Զģʽ,ҵǰͨģʽΪUARTģʽ,ҵǰԶģʽΪжϵش
 * ߵǰͨģʽI2Cģʽ
 */
#define  ZSN603_AUTO_MODE_INT                   0xA3

/**
 * \name 豸֡Ⱥ궨
 *
 * @{
 */
#define  ZSN603_FRAME_HEAD_LENGHT               0x08 /* ֡ͷ,֡Ϣ֮ǰֽڳܹΪ8ֽ*/
#define  ZSN603_FRAME_CHECK_LENGHT              0x02 /* ֡Уͳ,2ֽ */
#define  ZSN603_FRAME_FRAME_MIN_LENGHT          0x0A /* С֡10ֽ */
#define  ZSN603_BUFFER_SIZE_MAX                 282  /**< \brief ڻΪ272 + 10 */
/**
 * \name 豸Ӧඨ
 *   豸֡ͱʶ
 * @{
 */
#define  ZSN603_DEVICE_CONTROL_CMD              0x01 /**< \brief 豸*/
#define  ZSN603_MIFARE_CARD_CMD                 0x02 /**< \brief Mifare */
#define  ZSN603_ISO7816_PROTOCOL_CMD            0x05 /**< \brief ISO7816Э */
#define  ZSN603_ISO14443_PROTOCOL_CMD           0x06 /**< \brief ISO14443Э */
#define  ZSN603_CPU_CARD_CMD                    0x07 /**< \brief CPU */

/**
 * \name 豸
 *   ZSN603豸
 * @{
 */
#define  ZSN603_GET_DEVICE_INFO                 0x41 /**< \brief ȡ豸Ϣ*/
#define  ZSN603_CONFIG_ICC_INTERFACE            0x42 /**< \brief ICӿ */
#define  ZSN603_CLOSE_ICC_INTERFACE             0x43 /**< \brief رICӿ */
#define  ZSN603_SET_ICC_INTERFACE_PROTOCOL      0x44 /**< \brief ICӿЭ */
#define  ZSN603_LOAD_ICC_KEY                    0x45 /**< \brief װICԿ */
#define  ZSN603_SET_ICC_INTERFACE_REG           0x46 /**< \brief ICӿڼĴ */
#define  ZSN603_GET_ICC_INTERFACE_REG           0x47 /**< \brief ȡICӿڼĴ */
#define  ZSN603_SET_BAUD_RATE                   0x48 /**< \brief ò */
#define  ZSN603_SET_ICC_INTERFACE_OUTPUT        0x49 /**< \brief ģʽ */
#define  ZSN603_SET_ANTENNA_CHANNAL             0x4B /**< \brief ͨ */
#define  ZSN603_SET_LOCAL_ADDRESS               0x4C /**< \brief ôӻַ */
#define  ZSN603_LED_CONTROL                     0x4D /**< \brief LED */
#define  ZSN603_BUZZER_CONTROL                  0x4E /**< \brief  */
#define  ZSN603_READ_EEPROM                     0x62 /**< \brief EEPROM */
#define  ZSN603_WRITE_EEPROM                    0x63 /**< \brief дEEPROM */
#define  ZSN603_AUTO_TEST                       0x48 /**< \brief ִԶ */
#define  ZSN603_READ_AUTO_TEST                  0x49 /**< \brief ԶԽ */
/**
 * \name Mifare࿨
 *   ZSN603  Mifare
 * @{
 */
#define  ZSN603_MIFARE_REQUEST                  0x41 /**< \brief */
#define  ZSN603_MIFARE_ANTICOLL                 0x42 /**< \brief ײ */
#define  ZSN603_MIFARE_SELECT                   0x43 /**< \brief ѡ */
#define  ZSN603_MIFARE_HALT                     0x44 /**< \brief  */
#define  ZSN603_MIFARE_AUTH_E2                  0x45 /**< \brief װE2Կ */
#define  ZSN603_MIFARE_AUTH_KEY                 0x46 /**< \brief ֱԿ֤ */
#define  ZSN603_MIFARE_READ                     0x47 /**< \brief Mifare */
#define  ZSN603_MIFARE_WRITE                    0x48 /**< \brief Mifareд */
#define  ZSN603_MIFARE0_WRITE                   0x49 /**< \brief UltraLightд */
#define  ZSN603_MIFARE_VALUE                    0x4A /**< \brief Mifareֵ */
#define  ZSN603_MIFARE_RESET                    0x4C /**< \brief λ */
#define  ZSN603_MIFARE_ACTIVE                   0x4D /**< \brief  */
#define  ZSN603_MIFARE_AUTO_DETECT              0x4E /**< \brief Զ */
#define  ZSN603_MIFARE_GET_AUTO_DETECT          0x4F /**< \brief Զ */
#define  ZSN603_MIFARE_SET_VALUE                0x50 /**< \brief ֵֵ */
#define  ZSN603_MIFARE_GET_VALUE                0x51 /**< \brief ȡֵֵ */
#define  ZSN603_MIFARE_EXCHANGE_BLOCK1          0x58 /**< \brief ݽ */
#define  ZSN603_MIFARE_MF0_CMD_TRANS            0x53 /**< \brief MF0ƬPCD֮ݽչ */

/**
 * \name ISO7816-3Э
 *    ZSN603  ISO7816-3Э
 * @{
 */
#define  ZSN603_CICC_TPDU                       0x42 /**< \brief ӴʽICЭ飨ԶT=0T=1Э */
#define  ZSN603_CICC_COLD_RESET                 0x43 /**< \brief ӴʽIC临λ */
#define  ZSN603_CICC_WARM_RESET                 0x44 /**< \brief ӴʽICȸλ */
#define  ZSN603_CICC_DEACTIVATION               0x45 /**< \brief ӴʽICͣرյԴʱӣ */
#define  ZSN603_CICC_TP0                        0x47 /**< \brief ӴʽICT=0Э */
#define  ZSN603_CICC_TP1                        0x48 /**< \brief ӴʽICT=1Э */

/**
 * \name ISO1443(PICC)Э
 *    ZSN603  ISO1443(PICC)Э
 * @{
 */
#define  ZSN603_PICCA_REQUEST                   0x41 /**< \brief AͿ */
#define  ZSN603_PICCA_ANTICOLL                  0x42 /**< \brief AͿײ */
#define  ZSN603_PICCA_SELECT                    0x43 /**< \brief AͿѡ */
#define  ZSN603_PICCA_HALT                      0x44 /**< \brief AͿ */
#define  ZSN603_PICCA_RATS                      0x45 /**< \brief AͿRATS */
#define  ZSN603_PICCA_PPS                       0x46 /**< \brief AͿPPS */
#define  ZSN603_PICCA_DESELECT                  0x47 /**< \brief DESELECT */
#define  ZSN603_PICCA_TPCL                      0x48 /**< \brief T=CL */
#define  ZSN603_PICCA_EXCHANGE_BLOCK2           0x4A /**< \brief ݽ*/
#define  ZSN603_PICCA_RESET                     0x4C /**< \brief AͿλ֧ISO14443-4, ԶִRATS*/
#define  ZSN603_PICCA_ACTIVE                    0x4D /**< \brief AͿ*/
#define  ZSN603_PICCB_ACTIVE                    0x4E /**< \brief BͿ*/
#define  ZSN603_PICCB_RESET                     0x4F /**< \brief BͿλִATTRIB*/
#define  ZSN603_PICCB_REQUEST                   0x50 /**< \brief BͿ*/
#define  ZSN603_PICCB_ATTRIB                    0x52 /**< \brief BͿ޸Ĵԣѡ񿨣*/
#define  ZSN603_PICCB_HALT                      0x53 /**< \brief BͿ*/
#define  ZSN603_PICCB_GETUID                    0x54 /**< \brief ȡ֤UID*/


/**
 * \name PLUS CPU
 *    ZSN603  PLUS CPUЭ
 * @{
 */
#define  ZSN603_SL0_WRITE_PERSO                  0x42 /**< \brief SL0˻ݸ */
#define  ZSN603_SL0_COMMIT_PERSO                 0x43 /**< \brief SL0ύ˻ */
#define  ZSN603_SL3_FIRST_AUTH                   0x4A /**< \brief SL3״֤(ֱԿ֤) */
#define  ZSN603_SL3_FIRST_AUTH_E2                0x4B /**< \brief SL3״֤(E2Կ֤) */
#define  ZSN603_SL3_FOLLOWING_AUTH               0x4C /**< \brief SL3֤(ֱԿ֤) */
#define  ZSN603_SL3_FOLLOWING_AUTH_E2            0x4D /**< \brief SL3֤(E2Կ֤)*/
#define  ZSN603_SL3_RESET_AUTH                   0x4E /**< \brief SL3λ֤ */
#define  ZSN603_SL3_READ                         0x4F /**< \brief SL3ݿ */
#define  ZSN603_SL3_WRITE                        0x50 /**< \brief SL3дݿ*/
#define  ZSN603_SL3_VALUE                        0x53 /**< \brief SL3ֵ*/

/**
 * \name 豸   ʶ궨
 * ZSN603豸ĹʱһЩرʶ
 * @{
 */
#define   ZSN603_EXECUTE_SUCCESS                 0x00 /**< \brief 豸ɹ  */
#define   ZSN603_DEV_SERVER_ERR                  0xA1 /**< \brief 豸 豸Ϊ  */
#define   ZSN603_FRAME_LENGHT_RX_ERR             0xA2 /**< \brief ȡӦ֡ܳȴ  */
#define   ZSN603_FRAME_INFO_RX_ERR               0xA3 /**< \brief ȡӦ֡Ϣ  */
#define   ZSN603_FRAME_LENGHT_ERR                0xA4 /**< \brief ȡϢʱ,֡ȴ  */
#define   ZSN603_FRAME_NO_SLV_ADDRS_ERR          0xA5 /**< \brief ȡϢʱ,local address  */
#define   ZSN603_FRAME_CHECK_SUM_ERR             0xA6 /**< \brief ȡϢʱ,Уʹ  */
#define   ZSN603_IIC_TRANS_ERR                   0xA7 /**< \brief ʱ IIC ͨŷش  */
#define   ZSN603_WORKMODE_INVALID                0xA8 /**< \brief ʱ  豸Чģʽ  */
#define   ZSN603_UART_RX_TIMEOUT                 0xA9 /**< \brief ڽʱʱ  */
#define   ZSN603_I2C_SEMB_TIMEOUT                0xAA /**< \brief I2Cжϵȴʱ  */
#define   ZSN603_INPUT_PARA_ERROR                0xAB /**< \brief ֡  */
/**
 * \name 豸ģʽ
 * ZSN603豸Ĺģʽá
 * @{
 */
#define   ZSN603_WORK_MODE_IIC                   0x00 /**< \brief IICģʽ  */
#define   ZSN603_WORK_MODE_UART                  0x01 /**< \brief UARTģʽ  */

/**
 * \name 豸ָ  ICЭò궨
 * ZSN603豸豸ָеICЭ
 * @{
 */
#define   ZSN603_ICC_ISO_TYPE_A                  0x00 /**< \brief iso14443-3AЭ  */
#define   ZSN603_ICC_ISO_TYPE_B                  0x04 /**< \brief iso14443-3BЭ  */

/**
 * \name 豸ָ  ICԿͲ궨
 *   ZSN603豸Կز
 * @{
 */
#define   ZSN603_ICC_KEY_TYPE_A                  0x60 /**< \brief Կ A  */
#define   ZSN603_ICC_KEY_TYPE_B                  0x61 /**< \brief Կ B  */

/**
 * \name 豸ָ  ò궨
 *   ZSN603豸Ĳز
 * @{
 */
#define  ZSN603_BAUD_230400                      0x07 /**< \brief 230400 */
#define  ZSN603_BAUD_172800                      0x06 /**< \brief 172800 */
#define  ZSN603_BAUD_115200                      0x05 /**< \brief 115200 */
#define  ZSN603_BAUD_57600                       0x04 /**< \brief 57600 */
#define  ZSN603_BAUD_38400                       0x03 /**< \brief 38400 */
#define  ZSN603_BAUD_28800                       0x02 /**< \brief 28800 */
#define  ZSN603_BAUD_19200                       0x01 /**< \brief 19200 */
#define  ZSN603_BAUD_9600                        0x00 /**< \brief 9600 */

/**
 * \name 豸ָ  ģʽò궨
 *   ZSN603豸ģʽز
 * @{
 */
#define  ZSN603_ANT_MODE_TX12_LATERNATE          0x01 /**< \brief TX1TX2 */
#define  ZSN603_ANT_MODE_TX1                     0x01 /**< \brief ߽TX1 */
#define  ZSN603_ANT_MODE_TX2                     0x02 /**< \brief ߽TX2 */
#define  ZSN603_ANT_MODE_TX12                    0x03 /**< \brief TX1TX2ͬʱ */

/**
 * \name 豸ָ  LEDò궨
 *   ZSN603豸ĿLEDز
 * @{
 */
#define  ZSN603_CONTROL_LED_ON                   0x01 /**< \brief LEDر */
#define  ZSN603_CONTROL_LED_OFF                  0x00 /**< \brief LED */

/**
 * \name A  ָ궨
 *   ZSN603豸A
 * @{
 */
#define  ZSN603_MIFARE_REQUEST_IDLE              0x26 /**< \brief LEDر */
#define  ZSN603_MIFARE_REQUEST_ALL               0x52 /**< \brief LED */

/**
 * \name A Զ쿨ģʽ  궨
 *   ZSN603豸AԶ쿨ģʽ
 * @{
 */
#define  ZSN603_AUTO_DETECT_EXECUTE_HALT         0x08 /**< \brief ִHalt() */
#define  ZSN603_AUTO_DETECT_CONTINUE             0x04 /**< \brief ִ */
#define  ZSN603_AUTO_DETECT_INTERRUPT            0x02 /**< \brief ж */
#define  ZSN603_AUTO_DETECT_SEND                 0x01 /**< \brief  */

#define  ZSN603_AUTO_DETECT_NO_AUTH              0x00 /**< \brief ֤ */
#define  ZSN603_AUTO_DETECT_E2_AUTH              0x45 /**< \brief ʹE2Կ֤ */
#define  ZSN603_AUTO_DETECT_KEY_AUTH             0x46 /**< \brief ʹûԿ֤ */

/*****************************************************************
 *  ZSN603  ָͶ
 *****************************************************************/
/** \brief  ZSN603亯ָͶ*/
typedef uint8_t (*zsn603_cmd_tx_func_t) (void          *p_drv,
                                         uint8_t       *p_cmd_data,
                                         uint32_t       cmd_lenght);
/** \brief  ZSN603սָͶ*/
typedef int (*zsn603_cmd_rx_analysis_func_t) (void      *p_drv,
                                              uint32_t   buffer_len,
                                              uint8_t   *p_data,
                                              uint32_t  *p_data_lenght);
/** \brief  ZSN603жϻصָͶ*/
typedef void (*zsn603_int_cb) (void   *p_arg);

/** \brief  Զģʽ¼⵽жϻصָͶ*/
typedef void (*zsn603_card_input) (void   *p_arg);


/** \brief Ӧ֡Ϣṹ */
typedef struct zsn603_frame_info {
    uint32_t  status;                      /** \brief ִ״̬ */
    uint32_t  info_lenght;                 /** \brief Ϣ */
}zsn603_frame_info_t;

/** \brief ZSN603ͨ豸  ʹúͨŷʽ  ʹõ豸*/
typedef struct zsn603_dev {
    uint8_t               work_mode;       /** \brief 豸ַ  */
    uint8_t               local_addr;      /** \brief 豸ַ  */

    /* ĸԱԶģʽ»ȡ */
    volatile uint8_t      status;          /** \brief 豸״̬*/
    uint8_t               is_continue;     /** \brief Զ ⵽Ƿ*/
    zsn603_card_input     pfn_card_cb;     /** \brief Զ ⵽ûص*/
    void                 *p_arg;           /** \brief Զ ⵽ûص*/

    zsn603_cmd_tx_func_t  pfn_cmd_tx;      /** \brief 亯*/
    /** \brief 亯*/
    zsn603_cmd_rx_analysis_func_t pfn_cmd_rx_analysis;
}zsn603_dev_t;

/** \brief ZSN603  еĽӿںʹõþ */
typedef zsn603_dev_t *   zsn603_handle_t;

/*****************************************************************
 *  ZSN603  UARTͨŷʽ豸ض
 *****************************************************************/
/** \brief zsn603 豸ṹ(UARTģʽ) */
typedef struct zsn603_uart_devinfo {
    uint8_t  local_addr;                                  /** \brief 豸ַ  */
    zsn603_platform_uart_devinfo_t  platform_info;        /** \brief ƽ̨豸Ϣ  */
}zsn603_uart_devinfo_t;


/** \brief zsn603 豸ṹ(UARTģʽ) */
typedef struct zsn603_uart_dev {
    zsn603_dev_t               zsn603_dev;                /** \brief ZSN603 豸*/
    uint8_t                    is_wait ;                  /** \brief Ŀǰȴݵĸ*/
    uint8_t                    rx_count;                  /** \brief յݵĸ*/
    /** \brief ڽݻ*/
    uint8_t                    buffer[ZSN603_BUFFER_SIZE_MAX];
    ZSN603_SEMB_DECL(uart_semb);                          /** \brief źڻȡݵĳʱ*/
    zsn603_platform_uart_t     platform_dev;              /** \brief I2Cģʽƽ̨豸*/
    }zsn603_uart_dev_t;

/*****************************************************************
 *  ZSN603 I2Cͨŷʽ豸ض
 *****************************************************************/
/** \brief zsn603 豸Ϣṹ(I2Cģʽ) */
typedef struct zsn603_i2c_devinfo {
    uint8_t  local_addr;                          /** \brief 豸ַ  */
    zsn603_platform_i2c_devinfo_t platform_info;  /** \brief ƽ̨豸Ϣ  */
}zsn603_i2c_devinfo_t;

/** \brief zsn603豸ṹ(I2Cģʽ) */
typedef struct zsn603_i2c_dev {
    zsn603_dev_t              zsn603_dev;         /** \brief ZSN603 豸*/
    ZSN603_SEMB_DECL(int_semb);                   /** \brief жź*/
    zsn603_platform_i2c_t     platform_dev;       /** \brief I2Cģʽƽ̨豸*/
}zsn603_i2c_dev_t;

/**************************************************************
 * Զģʽṹ
 **************************************************************/
/** \brief zsn603Զģʽòṹ嶨 */
typedef struct zsn603_auto_detect_ctrl {
    uint8_t             ad_mode;         /** \brief Զģʽ(ADMode)*/
    uint8_t             tx_mode;         /** \brief ʽ(TXMode)*/
    uint8_t             req_code;        /** \brief (ReqCode)*/
    uint8_t             auth_mode;       /** \brief ֤ģʽ(AuthMode)*/
    uint8_t             key_type;        /** \brief Կ(KeyType)*/
    uint8_t             key_num;         /** \brief E2Կ*/
    uint8_t            *p_key;           /** \brief Կ(Key)*/
    uint8_t             key_len;         /** \brief Կ(KeyLen)*/
    uint8_t             block;           /** \brief ֤Ŀ(Block)*/
    zsn603_card_input   pfn_card_input;  /** \brief ⵽ʱĻص*/
    void               *p_arg;           /** \brief ⵽ʱĻص*/
}zsn603_auto_detect_ctrl_t;

/** \brief zsn603Զģʽòṹ嶨 */
typedef struct zsn603_auto_detect_data {
    uint8_t             ant_mode;        /** \brief ģʽ(TXMode)*/
    uint16_t            atq;             /** \brief Ӧ(ATQ)*/
    uint8_t             sak;             /** \brief ѡӦ(SAK)*/
    uint8_t             id_len;          /** \brief кų(UIDLen)*/
    uint8_t             uid[10];         /** \brief к(UID)*/
    uint8_t             data_len;        /** \brief ݳ*/
    uint8_t             data[16];        /** \brief ݻַ*/
}zsn603_auto_detect_data_t;
/**
 * \brief  ZSN603 ʼ(UARTͨģʽ)
 *
 * \param[in] p_dev           : ZSN603豸
 * \param[in] local_address   : ZSN603豸local address
 * \param[in] p_trans_arg     : 亯
 *
 * \retval NULL   : ʼ
 * \retval handle : ִгɹ
 */
zsn603_handle_t  zsn603_uart_init(zsn603_uart_dev_t            *p_dev,
                                  const zsn603_uart_devinfo_t  *p_devinfo);

/**
 * \brief  ZSN603 ʼ(UARTͨģʽ)
 *
 * \param[in] handle       : ZSN603
 * \retval NULL   : ʼ
 * \retval handle : ִгɹ
 */
int  zsn603_uart_deinit(zsn603_handle_t handle);

/**
 * \brief  ZSN603 ʼ(I2Cͨģʽ)
 *
 * \param[in] p_dev           : ZSN603豸
 * \param[in] p_devinfo       : ZSN603豸豸Ϣ
 *
 * \retval NULL   : ʼ
 * \retval handle : ִгɹ
 */
zsn603_handle_t  zsn603_i2c_init(zsn603_i2c_dev_t           *p_dev,
                                 const zsn603_i2c_devinfo_t *p_devinfo);

/**
 * \brief  ZSN603 ʼ(I2Cͨģʽ)
 *
 * \param[in] handle       : ZSN603
 * \retval NULL   : ʼ
 * \retval handle : ִгɹ
 */
int  zsn603_i2c_deinit(zsn603_handle_t handle);

/**
 * \brief  ZSN603 ʼʹIICģʽ     뽫ն˺ΪжŵĻص
 *
 *         IICģʽ£ZSN603ִ֮жŽᱻ
 *         ûԽ int_pin Ϊ½شжϻصΪ˺Ϊ ZSN603 豸 
 *
 * \param[in] p_arg           : жϻص
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
void zsn603_int_pin_hander(void *p_arg);


/**
 * \brief ȡ豸Ϣ  ᷵ع̼汾
 *
 * \param[in]  handle          : ZSN603豸
 * \param[in]  buffer_len      : 뻺ĴСĴСС豸Ϣȣֻ᷵ػС
 * \param[out] p_rx_data       : 豸ϢĻ
 * \param[out] p_rx_data_count : յ豸Ϣ
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_get_device_info(zsn603_handle_t      handle,
                               uint32_t             buffer_len,
                               uint8_t             *p_rx_data,
                               uint32_t            *p_rx_data_count);


/**
 * \brief ICӿ
 *
 * \param[in] handle  : ZSN603豸
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_config_icc_interface(zsn603_handle_t      handle);

/**
 * \brief رICӿ
 *
 * \param[in] handle  : ZSN603豸
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_close_icc_interface(zsn603_handle_t      handle);

/**
 * \brief ICЭ
 *
 * \param[in] handle       : ZSN603豸
 * \param[in] isotype      : Э   ZSN603_ICC_ISO_TYPE_A
 *                                      ZSN603_ICC_ISO_TYPE_B
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_set_ios_type(zsn603_handle_t  handle,
                            uint8_t          isotype);
/**
 * \brief װICԿ
 *
 * \param[in] handle      : ZSN603豸
 * \param[in] key_type    : Կ(1ֽ):   0x60ԿA
 *                                             0x61ԿB
 * \param[in] key_block   :Կ(1ֽ):  ȡֵΧ0~15
 * \param[in] p_key       :Կ(6ֽڻ16ֽ)
 * \param[in] key_length  : Կ     6 /16
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_load_icc_key(zsn603_handle_t  handle,
                            uint8_t          key_type,
                            uint8_t          key_block,
                            uint8_t         *p_key,
                            uint32_t         key_length);

/**
 * \brief ICӿڵļĴֵ
 *
 * \param[in] handle      : ZSN603豸
 * \param[in] reg_addr    : Ĵַ(1ֽ):  0x00~0x3F
 * \param[in] reg_val     : Ĵֵ(1ֽ)
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_set_icc_reg(zsn603_handle_t handle,
                           uint8_t         reg_addr,
                           uint8_t         reg_val);

/**
 * \brief ȡICӿڵļĴֵ
 *
 * \param[in] handle      : ZSN603豸
 * \param[in] p_info      : Ĵַ(1ֽ):  0x00~0x3F
 * \param[out] p_val      : Ĵֵ(1ֽ)
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_get_icc_reg(zsn603_handle_t  handle,
                           uint8_t          reg_addr,
                           uint8_t         *p_val);

/**
 * \brief ôģʽ
 *
 * \param[in] handle            : ZSN603豸
 * \param[in] baudrate_flag     : ʱ(1ֽ):
 *                      ZSN603_BAUD_172800     ZSN603_BAUD_115200
 *                      ZSN603_BAUD_57600      ZSN603_BAUD_38400
 *                      ZSN603_BAUD_28800      ZSN603_BAUD_19200
 *                      ZSN603_BAUD_230400     ZSN603_BAUD_9600
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ   ע
 *  Ҫֵע    ִиúɹ֮ûڶӦĲ
 */
uint8_t zsn603_set_baud_rate(zsn603_handle_t  handle,
                             uint8_t          baudrate_flag);

/**
 * \brief ģʽ
 *
 * \param[in] handle        : ZSN603豸
 * \param[in] antmode_flag  : ģʽ(1ֽ):
 *                ZSN603_ANT_MODE_TX12_LATERNATE     ZSN603_ANT_MODE_TX1
 *                ZSN603_ANT_MODE_TX2                ZSN603_ANT_MODE_TX12
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_set_ant_mode(zsn603_handle_t  handle,
                            uint8_t          antmode_flag);

/**
 * \brief лͨ
 *
 * \param[in] handle       : ZSN603豸
 * \param[in] ant_channel  : ߱(1ֽ): 0x00~0x07
 *
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_set_ant_channel(zsn603_handle_t  handle,
                               uint8_t          ant_channel);

/**
 * \brief  豸ӻַ
 *
 * \param[in] handle      : ZSN603豸
 * \param[in] slv_addr    : ӻַ(1ֽ)
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ  ִгɹ  ZSN603豸ַԶΪµõֵ
 */
uint8_t zsn603_set_local_addr(zsn603_handle_t  handle,
                              uint8_t          slv_addr);

/**
 * \brief  LEDƿ
 *
 * \param[in] handle      : ZSN603豸
 * \param[in] control_led : ָ(1ֽ)  :ZSN603_CONTROL_LED_ON
 *                                            ZSN603_CONTROL_LED_OFF
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_control_led(zsn603_handle_t    handle,
                           uint8_t            control_led);

/**
 * \brief  
 *
 * \param[in] handle       : ZSN603豸
 * \param[in] control_byte : ָ(1ֽ)   λд    ǰλʱ
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_control_buzzer(zsn603_handle_t  handle,
                              uint8_t          control_byte);

/**
 * \brief  EEPROM
 *
 * \param[in]  handle      : ZSN603豸
 * \param[in]  eeprom_addr : E2PROMַַ(1ֽ):Χ0~255
 * \param[in]  nbytes:     : ȡݵĳ(1ֽ)
 * \param[in]  buffer_len  : 뻺ĴСĴСС豸Ϣȣֻ᷵ػС
 * \param[out] p_buf       : ݵĻ
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_read_eeprom(zsn603_handle_t  handle,
                           uint8_t          eeprom_addr,
                           uint8_t          nbytes,
                           uint32_t         buffer_len,
                           uint8_t         *p_buf);

/**
 * \brief  дEEPROM
 *
 * \param[in] handle       : ZSN603豸
 * \param[in] eeprom_addr  : E2PROMַַ(1ֽ):Χ0~255
 * \param[in] nbytes       : дݵĳ(1ֽ)
 * \param[in] p_buf        : ҪдϢ(nbytesֽ)
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_write_eeprom(zsn603_handle_t      handle,
                                  uint8_t        eeprom_addr,
                                  uint8_t        nbytes,
                                  uint8_t       *p_buf);

/**
 * \brief  Mifare
 *
 * \param[in] handle     : ZSN603豸
 * \param[in] req_mode   : ģʽ(1ֽ): 0x26IDLEģʽ
 *                                          0x52ALLģʽ
 * \param[out] p_atq     : صatqϢ    (2ֽ)
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_mifare_request(zsn603_handle_t   handle,
                              uint8_t           req_mode,
                              uint16_t         *p_atq);

/**
 * \brief  Mifareķײ,Ҫִгɹһ,ɹ,ܽзײ,򷵻ش
 *
 * \param[in] handle         : ZSN603豸
 * \param[in] anticoll_level : ײȼ(1ֽ):  0x93һײ
 *                                                 0x95ڶײ
 *                                                 0x97ײ
 * \param[in] p_know_uid     : к(nֽ):  (λ0)
 * \param[in] nbit_cnt       : λ(1ֽ):   ֪кŵĳn
 * \param[out] p_uid         : صUID4ֽڣֽȣUIDֽΪ־0x88Ҫиһķײ
 * \param[out] p_uid_cnt     : صUID
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_mifare_anticoll(zsn603_handle_t  handle,
                              uint8_t           anticoll_level,
                              uint8_t          *p_know_uid,
                              uint8_t           nbit_cnt,
                              uint8_t          *p_uid,
                              uint32_t         *p_uid_cnt);

/**
 * \brief  Mifareѡ
 *
 *   Ҫɹִһηײسɹܽпѡ򷵻ش
 *
 * \param[in]  handle     : ZSN603豸
 * \param[in]  p_info     : ѡ(1ֽ)   0x93һײ
 *                                            0x95ڶײ
 *                                            0x97ײ
 * \param[in]  p_uid      : UID(4ֽ)      ǰһײصUID
 * \param[out] p_sak      : صϢbit2Ϊ1UID
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_mifare_select(zsn603_handle_t  handle,
                             uint8_t          anticoll_level,
                             uint8_t         *p_uid,
                             uint8_t         *p_sak);

/**
 * \brief  MifareĹ,ʹѡĿHALT״̬,HALT״̬,
 *         ӦIDLEģʽ,ǽλ뿪߸Ӧٽ롣
 *         ӦALL
 *
 * \param[in] handle      : ZSN603豸
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */

uint8_t zsn603_mifare_halt(zsn603_handle_t      handle);
/**
 * \brief  оƬڲѴԿ뿨Կ֤,ʹøǰ,
 *         ӦáװICԿԿɹоƬ,
 *         ,Ҫ֤ĿŲоƬԿȡ
 * \param[in] key_type     : Կ(1ֽ)  - 0x60ԿA
 *                                            - 0x61ԿB
 * \param[in] p_uid      : кţ4ֽ
 * \param[in] key_sec    : Կ:0 ~ 7
 * \param[in] nblock     : Ҫ֤ĿţȡֵΧ뿨йأ
 *                         - S50:0 ~ 63
 *                         - S70:0 ~ 255
 *                         - PLUS CPU 2K:0 ~ 127
 *                         - PLUS CPU 4K:0 ~ 255
 * \param[in] data_count : ݳ      7
 * \param[out] p_rx_frame_info : Ӧ֡Ľṹ
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_eeprom_auth(zsn603_handle_t  handle,
                           uint8_t          key_type,
                           uint8_t         *p_uid,
                           uint8_t          key_sec,
                           uint8_t          nblock);
/**
 * \brief  Ϊ,ڴ֮ǰáװICԿ
 *         ǰΪPLUS CPUĵȼ2ȼ3,ֻ6ֽ,
 *         оƬԶ븴2,ȡǰ16ֽΪǰ֤Կ
 *
 * \param[in] handle     : ZSN603豸
 * \param[in] key_type   : Կͣʹֵ
 *                          - ZSN603_ICC_KEY_TYPE_A
 *                          - ZSN603_ICC_KEY_TYPE_B
 * \param[in] p_uid      : кţ4ֽ
 * \param[in] p_key      : Կ
 * \param[in] key_len    : ԿĳȣֻΪ66ֽԿ1616ֽԿ
 * \param[in] nblock     : Ҫ֤ĿţȡֵΧ뿨йأ
 *                         - S500 ~ 63
 *                         - S700 ~ 255
 *                         - PLUS CPU 2K0 ~ 127
 *                         - PLUS CPU 4K0 ~ 255
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_key_auth(zsn603_handle_t   handle,
                        uint8_t           key_type,
                        uint8_t          *p_uid,
                        uint8_t          *p_key,
                        uint8_t           key_len,
                        uint8_t           nblock);


/**
 * \brief  Mifareж,֮ǰɹԿ֤
 *
 * \param[in] handle      : ZSN603豸
 * \param[in] nblock      : (1ֽ) - S50(0~63)
 *                                        - S70(0~255)
 *                                        - PLUS CPU 2K(0~127)
 *                                        - PLUS CPU 4K(0~255)
 * \param[in]  buffer_len : 뻺ĴСĴСС豸Ϣȣֻ᷵ػС
 * \param[out] p_buf      : ȡĿ
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_mifare_read(zsn603_handle_t  handle,
                           uint8_t          nblock,
                           uint32_t         buffer_len,
                           uint8_t         *p_buf);

/**
 * \brief  Mifareд,д֮ǰɹԿ֤
 *
 * \param[in] handle     : ZSN603豸
 * \param[in] p_info     : (1ֽ)  - S50(0~63)
 *                                        - S70(0~255)
 *                                        - PLUS CPU 2K(0~127)
 *                                        - PLUS CPU 4K(0~255)
 * \param[in] p_buf      : д(16ֽ)
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_mifare_write(zsn603_handle_t  handle,
                            uint8_t          nblock,
                            uint8_t         *p_buf);

/**
 * \brief  UltraLightд
 *
 * \param[in] handle     : ZSN603豸
 * \param[in] nblock     : (1ֽ):1~15
 * \param[in] p_buf      : д(4ֽ)
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_ultralight_write(zsn603_handle_t   handle,
                                uint8_t           nblock,
                                uint8_t          *p_buf);

/**
 * \brief  MifareֵмӼдָ
 *
 * \param[in] handle     : ZSN603豸
 * \param[in] mode       : ģʽ(1ֽ):    0xC0~
 *                                         0xC1~
 * \param[in] nblock     : (1ֽ):  S50(0~63)
 *                                         S70(0~255)
 *                                         PLUS CPU 2K(0~127)
 *                                         PLUS CPU 4K(0~255)
 * \param[in] value      : ֵ(4ֽз,ֽ)
 * \param[in] ntransblk  : (1ֽ)
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_mifare_value(zsn603_handle_t   handle,
                            uint8_t           mode,
                            uint8_t           nblock,
                            uint8_t           ntransblk,
                            uint32_t          value);

/**
 * \brief  ͨزźŹرָʱ,ٿʵֿƬλ
 *
 * \param[in] handle     : ZSN603豸
 * \param[in] time_ms    : ʱ(1ֽ),ԺΪλ,0Ϊһֱر
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_card_reset(zsn603_handle_t  handle,
                          uint8_t          time_ms);

/**
 * \brief  ڼƬ,󡢷ײѡϡ
 *
 * \param[in] handle     : ZSN603豸
 * \param[in] req_mode   : (1ֽ):  0x26~IDLE
 *                                           0x52~ALL
 *
 * \param[out] p_atq     : صatqϢ
 * \param[out] p_saq     : صsaqϢ
 * \param[out] p_len     : صUID
 * \param[out] p_uid     : صUID
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_mifare_card_active(zsn603_handle_t   handle,
                                  uint8_t           req_mode,
                                  uint16_t         *p_atq,
                                  uint8_t          *p_saq,
                                  uint8_t          *p_len,
                                  uint8_t          *p_uid);

/**
 * \brief  ڿƬԶ,ִиɹ,UARTģʽ,оƬͶȡƬݡ
 *
 * \param[in] handle     : ZSN603豸
 * \param[in] admode     : ԶģʽADModeֽ(1ֽ)
 *                bit7 ~ bit4:
 *                bit3       :ִ֮Ķ.
 *                            0-޶;          1 - ִHALT(ZSN603_AUTO_DETECT_EXECUTE_HALT)
 *                bit2       :.
 *                            0-;      1 - (ZSN603_AUTO_DETECT_CONTINUE)
 *                bit1       :UARTӿڼ⵽пʱǷж,I2CģʽЧضж
 *                            0-ж;      1 - ж(ZSN603_AUTO_DETECT_INTERRUPT)
 *                bit0       :UARTӿʱ⵽пʱǷ,I2CģʽЧ,ӻ
 *                            0;   1 - (ZSN603_AUTO_DETECT_SEND)
 * \param[in] txmode     : ģʽTxModeֽ.  - 0x00:Tx1 Tx2 
 *                                                  - 0x01:Tx1
 *                                                  - 0x02:Tx2
 *                                                  - 0x03:Tx1 Tx2 ͬʱ
 * \param[in] reqcode    : ReqCode(1ֽ)   - 0x26~IDLE
 *                                                  - 0x52~ALL
 * \param[in] authmode   : ֤ģʽAuthMode(1ֽ)  -'E'~E2Կ֤ (ZSN603_AUTO_DETECT_E2_AUTH)
 *                                                  -'F'~ֱԿ֤(ZSN603_AUTO_DETECT_KEY_AUTH)
 *                                                  - 0 ~֤  (ZSN603_AUTO_DETECT_NO_AUTH)
 * \param[in] key_type   : ԿAB KeyType(1ֽ):   0x60~ԿA  (ZSN603_ICC_KEY_TYPE_A)
 *                                                  0x61~ԿB (ZSN603_ICC_KEY_TYPE_B)
 * \param[in] p_key      : ԿKey:  ֤ģʽΪ'E',ΪԿ(1ֽ)
 *                                   ֤ģʽΪ'F',ΪԿ(616ֽ)
 * \param[in] block      : Կ   (6/16ֽ)
 * \param[in] block      : Block(1ֽ): S50(0~63)
 *                                             S70(0~255)
 *                                             PLUS CPU 2K(0~127)
 *                                             PLUS CPU 4K(0~255)
 *
 * \param[in] data_count : ֤ģʽ = 'E', Ϊ7
 *                         ֤ģʽ = 'F', Ϊ1222
 *                         ֤ģʽ =  0,  Ϊ4
 * \param[out] p_rx_frame_info : Ӧ֡Ľṹ
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_auto_detect(zsn603_handle_t              handle,
                           zsn603_auto_detect_ctrl_t   *p_ctrl);
/**
 * \brief  ڶȡԶ,رʺI2Cͨģʽʹá
 *         ͨöȡԶ,ԾȡݺǷ⡣
 *
 * \param[in] handle     : ZSN603豸
 * \param[in] ctrl_mode  : ģʽ(1ֽ) - 0x00 ȡ
 *                                       - 0x01 
 * \param[out] p_data    : 淵ݵĽṹָ
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_get_auto_detect(zsn603_handle_t             handle,
                               uint8_t                     ctrl_mode,
                               zsn603_auto_detect_data_t  *p_data);

/**
 * \brief  ֵֵ
 *
 * \param[in] handle     : ZSN603豸
 * \param[in] block      : ַ(1ֽ):ҪдֵĿַ
 * \param[in] data       : ֵ(4ֽ):зŵ32λ,ֽǰ
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_mifare_set_value(zsn603_handle_t  handle,
                                uint8_t          block,
                                int              data);
/**
 * \brief  ڻȡֵֵ,ֵֻǰֵʽ洢ʱ,ͨȡɹ,򷵻ʧܡ
 *
 * \param[in] handle     : ZSN603豸
 * \param[in] block      : ַ(1ֽ):ҪȡֵĿַ
 * \param[out] p_value   : ȡֵָ
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_mifare_get_value(zsn603_handle_t  handle,
                                uint8_t          block,
                                int             *p_value);

/**
 * \brief  оƬչ,оƬƬⳤϵݴ,
 *         NXPƳNTAG213FUltralight CϵпƬ,
 *         ǸÿƬݶдԿܡԿ֤ôʵ֡
 *
 * \param[in]  handle      : ZSN603豸
 * \param[in]  len         : ݳ(1ֽ):ʵݳ
 * \param[in]  p_data_buf  : (n-1ֽ):ʵʴݴ
 * \param[in]  data_count  : 0x02
 * \param[in]  wtxm_crc    : b7~b2,wtxmb1,RFU(0); b0,0,CRCֹܣ1,CRCʹܡ
 * \param[in]  fwi         : ʱȴʱ, ʱʱ=0x01 << fwims
 * \param[in]  buffer_len  : 뻺ĴСĴСС豸Ϣȣֻ᷵ػС
 * \param[out] p_rx_buf    : ݽӦ֡Ϣ
 * \param[out] p_real_len  : ڻȡյϢ
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_mifare_exchange_block(zsn603_dev_t  *handle,
                                     uint8_t       *p_data_buf,
                                     uint8_t        len,
                                     uint8_t        wtxm_crc,
                                     uint8_t        fwi,
                                     uint32_t       buffer_len,
                                     uint8_t       *p_rx_buf,
                                     uint32_t      *p_len);
/**
 * \brief  öд뿨Ƭݽ,ͨʵֶдйܡ
 *
 * \param[in] handle      : ZSN603豸
 * \param[in] p_tx_buf    : ݵĻ
 * \param[in] tx_nbytes   : ֽ
 * \param[in]  buffer_len : 뻺ĴСĴСС豸Ϣȣֻ᷵ػС
 * \param[in] p_rx_buf    : ݵĻ
 * \param[in] p_rx_nbytes : ֽ
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_mifare_cmd_trans(zsn603_handle_t   handle,
                                uint8_t          *p_tx_buf,
                                uint8_t           tx_nbytes,
                                uint32_t          buffer_len,
                                uint8_t          *p_rx_buf,
                                uint32_t         *p_rx_nbytes);
/**
 * \brief  ݽӴʽICĸλϢ,ԶѡT = 0T = 1Э,̲Ҫʹ߸ԤڴAPDU
 *
 * \param[in] handle        : ZSN603豸
 * \param[in] p_tx_buf      : ͻ
 * \param[in] tx_bufsize    : ͻĳȣ 1 ~ 272
 * \param[in] buffer_len    : ջĴСĴСС豸Ϣȣֻ᷵ػС
 * \param[in] p_rx_buf      : ջ
 * \param[in] p_rx_len      : ݵĳ
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_cicc_tpdu(zsn603_handle_t   handle,
                         uint8_t          *p_tx_buf,
                         uint32_t          tx_bufsize,
                         uint32_t          buffer_len,
                         uint8_t          *p_rx_buf,
                         uint32_t         *p_rx_len);

/**
 * \brief  临λ,ִ˽ӴʽICϵʱ,ִгɹԶICĸλϢѡBʹõĴЭ(T = 0 T = 1)
 *
 * \param[in] handle        : ZSN603豸
 * \param[in] buffer_len    : λϢĴСĴСС豸Ϣȣֻ᷵ػС
 * \param[in] p_rx_buf      : ŸλϢĻ
 * \param[in] p_rx_len      : ȡλϢȵָ롣
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_cicc_cold_reset(zsn603_handle_t   handle,
                               uint32_t          buffer_len,
                               uint8_t          *p_rx_buf,
                               uint32_t         *p_rx_len);

/**
 * \brief  ȸλ,ûִ˽ӴʽICϵʱ,
 *         ִгɹԶICĸλϢѡBʹõĴЭ(T = 0 T = 1)
 *         临λȽֻûִICϵ
 *
 * \param[in] handle        : ZSN603豸
 * \param[in] buffer_len    : λϢĴСĴСС豸Ϣȣֻ᷵ػС
 * \param[in] p_rx_buf      : ŸλϢĻ
 * \param[in] p_rx_len      : ȡλϢȵָ롣
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_cicc_warm_reset(zsn603_handle_t    handle,
                               uint32_t           buffer_len,
                               uint8_t           *p_rx_buf,
                               uint32_t          *p_rx_len);

/**
 * \brief  ǹرսӴʽICĵԴʱӡ
 *
 * \param[in] handle      : ZSN603豸
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_cicc_deactivation(zsn603_handle_t  handle);

/**
 * \brief  T = 0Э顣
 *
 * \param[in]  handle        : ZSN603豸
 * \param[in]  p_tx_buf      : ͻ
 * \param[in]  tx_bufsize    : ͻĳȣ 1 ~ 272
 * \param[in]  buffer_len    : ջĴСĴСС豸Ϣȣֻ᷵ػС
 * \param[out] p_rx_buf      : ջ
 * \param[out] p_rx_len      : ݵĳ
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_cicc_tp0(zsn603_handle_t    handle,
                        uint8_t           *p_tx_buf,
                        uint32_t           tx_bufsize,
                        uint32_t           buffer_len,
                        uint8_t           *p_rx_buf,
                        uint32_t          *p_rx_len);

/**
 * \brief  T=1Э顣
 *
 * \param[in]  handle        : ZSN603豸
 * \param[in]  p_tx_buf      : ͻ
 * \param[in]  tx_bufsize    : ͻĳȣ 1 ~ 272
 * \param[in]  buffer_len    : ջĴСĴСС豸Ϣȣֻ᷵ػС
 * \param[out] p_rx_buf      : ջ
 * \param[out] p_rx_len      : ݵĳ
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_cicc_tp1(zsn603_handle_t   handle,
                        uint8_t          *p_tx_buf,
                        uint32_t          tx_bufsize,
                        uint32_t          buffer_len,
                        uint8_t          *p_rx_buf,
                        uint32_t         *p_rx_len);

/**
 * \brief  AͿ,ĲMifare S50/S70ʱһġ
 *
 * \param[in] handle     : ZSN603豸
 * \param[in] req_mode   : ģʽ(1ֽ): 0x26-IDLEģʽ
 *                                          0x52-ALLģʽ
 * \param[out] p_atq     : صatqϢ    (2ֽ)
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_picca_request(zsn603_handle_t  handle,
                             uint8_t          req_mode,
                             uint16_t        *p_atq);

/**
 * \brief  AͿķײ,ĲMifare S50/S70ķײʱһµġ
 *
 * \param[in] handle         : ZSN603豸
 * \param[in] anticoll_level : ײȼ(1ֽ):  0x93һײ
 *                                            0x95ڶײ
 *                                            0x97ײ
 * \param[in] p_know_uid     : к(nֽ):  (λ0)
 * \param[in] nbit_cnt       : λ֪кuidλֵС32
 *                               - nbit_cntֵΪ0,û֪кţкŵλ
 *                                 Ҫӱá
 *                               - nbit_cntΪ0к֪кŵֵʾ
 *                                 кŵǰnbit_cntλΪ֪кʾǰnbit_cntλ
 *                                 ֵλҪá
 * \param[in]  buffer_len    : UIDĴСĴСС豸Ϣȣֻ᷵ػС
 * \param[out] p_uid         : ײȡĿкŵĻ
 * \param[out] p_uid_cnt     : صUID
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_picca_anticoll(zsn603_handle_t   handle,
                              uint8_t           anticoll_level,
                              uint8_t          *p_know_uid,
                              uint8_t           nbit_cnt,
                              uint32_t          buffer_len,
                              uint8_t          *p_uid,
                              uint32_t         *p_uid_cnt);

/**
 * \brief  AͿѡ,ĲMifare S50/S70ѡʱһµġ
 *
 * \param[in]  handle     : ZSN603豸
 * \param[in]  p_info     : ѡ(1ֽ) :  0x93һײ
 *                                             0x95ڶײ
 *                                             0x97ײ
 * \param[in]  p_uid      : UID(4ֽ)   : ǰһײصUID
 * \param[in]  uid_cnt    : UID(4ֽ): ǰһײصUIDĳ
 * \param[out] p_sak      : صϢbit2Ϊ1UID
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_picca_select(zsn603_handle_t  handle,
                            uint8_t          anticoll_level,
                            uint8_t         *p_uid,
                            uint8_t          uid_cnt,
                            uint8_t         *p_sak);

/**
 * \brief  AͿĹ,ĲMifare S50/S70Ĺһ¡
 *
 * \param[in] handle      : ZSN603豸
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_picca_halt(zsn603_handle_t      handle);

/**
 * \brief  RATS(request for answer to select)ISO14443-4Э,
 *         оƬRATS,ƬATS(answer to select)ΪRATSӦ,ִиǰ,
 *         Ƚһοѡ,ִйһRATS,ٴִRATS,Ƚ
 *
 * \param[in]  handle     : ZSN603豸
 * \param[in]  cid        : CID(1ֽ):  ʶ(card IDentifier,ȡֵΧ0x00~0x0E)
 * \param[in]  buffer_len : ŽݻĴСĴСС豸Ϣȣֻ᷵ػС
 * \param[out] p_ats_buf  : ڽջӦϢֽͬвͬ
 * \param[in]  p_rx_len   : ڻȡյϢ
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_picca_rats(zsn603_handle_t   handle,
                          uint8_t           cid,
                          uint32_t          buffer_len,
                          uint8_t          *p_ats_buf,
                          uint32_t         *p_rx_len);

/**
 * \brief  PPS(protocal and parameter selection)ISO14443-4Э,
 *         ڸıйصרЭ,Ǳ,ֻ֧Ĭϲ,ĲΪ0ɡ
 *         ִиǰ,ȳɹִһRATS
 *
 * \param[in] handle     : ZSN603豸
 * \param[in] dsi_dri    : DSI_DRI(1ֽ): оƬ뿨ͨŲ,Ϊ0(106Kb/s)
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_picca_pps(zsn603_handle_t  handle,
                         uint8_t          dsi_dri);

/**
 * \brief  ISO14443-4Э,ڽƬΪ(HALT)״̬,
 *         ڹ(HALT)״̬Ŀá(ΪALL)¼,ִֻСRATSĿø
 *
 * \param[in] handle      : ZSN603豸
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_picca_deselect(zsn603_handle_t      handle);


/**
 * \brief  T=CLǰ˫鴫Э,ISO14443-4Э,ڶд뿨Ƭ֮ݽ,
 *         һISO14443ЭCPUøЭдͨš
 *         øʱֻҪCPUCOSΪ뼴,͡ʶCID֡ȴʱFWT
 *         ȴʱչWTXM(waiting time extensionmultiplier)ȵɸԶɡ
 *
 * \param[in] handle      : ZSN603豸
 * \param[in] p_cos_buf   : COS
 * \param[in] cos_bufsize : COSĳ
 * \param[in]  buffer_len : ŽϢĴСĴСС豸Ϣȣֻ᷵ػС
 * \param[out] p_res_buf  : ڽջӦϢͬCOSֽвͬ
 * \param[out] p_rx_len   : ڻȡյϢ
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_picca_tpcl(zsn603_handle_t   handle,
                          uint8_t          *p_cos_buf,
                          uint8_t           cos_bufsize,
                          uint32_t          buffer_len,
                          uint8_t          *p_res_buf,
                          uint32_t         *p_rx_len);

/**
 * \brief  öд뿨Ƭݽ,ͨʵֶдйܡ
 *
 * \param[in]  handle      : ZSN603豸
 * \param[in]  len         : ݳ(1ֽ):ʵݳ
 * \param[in]  p_data_buf  : (n-1ֽ):ʵʴݴ
 * \param[in]  data_count  : 0x02
 * \param[in]  wtxm_crc    : b7~b2,wtxmb1,RFU(0); b0,0,CRCֹܣ1,CRCʹܡ
 * \param[in]  fwi         : ʱȴʱ, ʱʱ=((0x01 << fwi)ms)
 * \param[in]  buffer_len  : ϢĴСĴСС豸Ϣȣֻ᷵ػС
 * \param[out] p_rx_buf    : ݽӦ֡Ϣ
 * \param[out] p_real_len  : ڻȡյϢ
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_picca_exchange_block(zsn603_handle_t   handle,
                                    uint8_t          *p_data_buf,
                                    uint8_t           len,
                                    uint8_t           wtxm_crc,
                                    uint8_t           fwi,
                                    uint32_t          buffer_len,
                                    uint8_t          *p_rx_buf,
                                    uint32_t         *p_rx_len);

/**
 * \brief  ͨزźŹرָʱ,ٿʵֿƬλ
 *
 * \param[in] handle      : ZSN603豸
 * \param[in] time_ms     : ʱ(1ֽ),ԺΪλ,0Ϊһֱر
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_picca_reset(zsn603_handle_t  handle,
                           uint8_t          time_ms);

/**
 * \brief  ڼƬ,󡢷ײѡϡ
 *
 * \param[in] handle     : ZSN603豸
 * \param[in] req_mode   : (1ֽ):  0x26~IDLE
 *                                           0x52~ALL
 *
 * \param[out] p_atq     : صatqϢ(2ֽ)
 * \param[out] p_saq     : صsaqϢ(1ֽ)
 * \param[out] p_len     : صUID(1ֽ)
 * \param[out] p_uid     : صUID(*p_lenֽ  10ֽ)
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_picca_active(zsn603_handle_t  handle,
                            uint8_t          req_mode,
                            uint16_t        *p_atq,
                            uint8_t         *p_saq,
                            uint8_t         *p_len,
                            uint8_t         *p_uid);

/**
 * \brief  ڼBͿƬ,ڵøǰ,Ҫִ豸ġICӿЭ(ģʽ)(Cmd = D),оƬóTypeBģʽ
 *
 * \param[in] handle     : ZSN603豸
 * \param[in] req_mode   : (1ֽ): 0x00~IDLE
 *                                          0x08~ALL
 * \param[out] p_uid     : UID   Ϊ12ֽ
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_piccb_active(zsn603_handle_t  handle,
                            uint8_t          req_mode,
                            uint8_t         *p_info);

/**
 * \brief  ͨزźŹرָʱ,ٿʵֿƬλ,ʵַʽAͿλһ
 *
 * \param[in] handle     : ZSN603豸
 * \param[in] time_ms    : ʱ(1ֽ),ԺΪλ,0Ϊһֱر
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_piccb_reset(zsn603_handle_t  handle,
                           uint8_t          time_ms);

/**
 * \brief  BͿ
 *
 * \param[in]  handle     : ZSN603豸
 * \param[in]  req_mode   : (1ֽ): 0x00~IDLE
 *                                       0x08~ALL
 * \param[in]  slot_time  : ʱ϶(1ֽ): Χ0~4
 * \param[in]  buffer_len : 淵UIDĴСĴСС豸Ϣȣֻ᷵ػС
 * \param[out] p_uid      : صUIDϢΪ12
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_piccb_request(zsn603_handle_t   handle,
                             uint8_t           req_mode,
                             uint8_t           slot_time,
                             uint32_t          buffer_len,
                             uint8_t          *p_uid);
/**
 * \brief  BͿ޸Ĵ(ѡ)
 *
 * \param[in] handle     : ZSN603豸
 * \param[in] p_pupi     : PUPI(4ֽ):   Ƭʶ
 * \param[in] cid        : CID(1ֽ) :   ȡֵΧΪ 0 - 14, ֧CID,Ϊ0
 *
 * \param[in] protype    : proType(1ֽ):ֵ֧Э,ӦеProtocolTypeָ
 *                         proType.3:PCDPICCǷͨ
 *                                   1:PCDֹPICCͨ
 *                                   0:PCD PICCͨ
 *                         proType.2~1:PICC EOFPCD SOFСӳ
 *                                    11: etu + 512 / fs
 *                                    10: etu + 256 / fs
 *                                    01: etu + 128 / fs
 *                                    00: etu + 32 / fs
 *                         proType.0: ǷѭISO14443-4
 *                                    1:ѭISO14443-4;
 *                                    0:ѭISO14443-4. (֤Ϊ1)
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_piccb_attrib(zsn603_handle_t  handle,
                            uint8_t         *p_pupi,
                            uint8_t          cid,
                            uint8_t          protype);
/**
 * \brief  BͿ,ִйǰ,ִгɹһ
 *         ִйɹ,Ƭڹ״̬,оƬͨALLʽƬ,IDLEʽ
 *
 * \param[in] handle     : ZSN603豸
 * \param[in] p_pupi     : PUPI(4ֽ):   4ֽڱʶ
 *
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_piccb_halt(zsn603_handle_t      handle,
                          uint8_t       *p_pupi);
/**
 * \brief  ڶȡID˿󡢿ѡԼȡIDָ
 *
 * \param[in] handle     : ZSN603豸
 * \param[in] req_mode   : (1ֽ):  0x00~IDLE
 *                                           0x08~ALL
 * \param[in] p_uid      : ص֤ID(8ֽ)
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_piccb_getid(zsn603_handle_t  handle,
                           uint8_t          req_mode,
                           uint8_t         *p_uid);

/**
 * \brief  SL0¸˻ݡSL0Security Level 0ȫȼ0PLUS CPU˻
 * PLUS CPUʱİȫȼΪSL0õȼ£Ҫκ֤ͿдݣдΪȫȼĳʼֵ
 *
 * \param[in] handle     : ZSN603豸
 * \param[in] addr       : PLUS CPU洢ַ(2ֽ):
 * \param[in] p_data     : /AESԿ/(16ֽ)
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_plus_cpu_write_perso(zsn603_handle_t  handle,
                                    uint16_t         addr,
                                    uint8_t         *p_data);

/**
 * \brief  SL0Security Level 0ȫȼ0PLUS CPUύ˻ݣ
 * SL0˻ݡֻǸ¿еݣݻδЧûֱʹá
 * SL0ύ˻ʹµĸ˻ЧִиPLUS CPUİȫȼߵSL1SL3֧SL1Ŀ
 * ִиƬȫȼߵSL1ֻ֧SL0SL3ĿִиƬȫȼߵSL3
 *
 * \param[in] handle     : ZSN603豸
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_plus_cpu_commit_perso(zsn603_handle_t      handle);


/**
 * \brief  SL3 PLUS CPUԿ֤֤ԿͨĲ롣
 *
 * \param[in] handle     : ZSN603豸
 * \param[in] addr       : AESԿַ2ֽڣ
 * \param[out] p_data    : AESԿ16ֽڣ
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_plus_cpu_first_auth(zsn603_handle_t  handle,
                                   uint16_t         addr,
                                   uint8_t         *p_data);

/**
 * \brief  SL3 PLUS CPU״Կ֤֤ԿоƬڲ粻ʧݡ
 *
 * \param[in] handle     : ZSN603豸
 * \param[in] addr       : AESԿַ2ֽڣ
 * \param[in] key_block  : Կţ1ֽڣ
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_plus_cpu_first_auth_e2(zsn603_handle_t      handle,
                                      uint16_t             addr,
                                      uint8_t              key_block);

/**
 * \brief  SL3 PLUS CPUĸԿ֤֤Կ
 *         ִֻй״֤ɹʹø
 *
 * \param[in] handle     : ZSN603豸
 * \param[in] addr       : AESԿַ2ֽڣ
 * \param[out] p_data    : AESԿ16ֽڣ
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_plus_cpu_follow_auth(zsn603_handle_t      handle,
                                    uint16_t             addr,
                                    uint8_t             *p_data);

/**
 * \brief  SL3 PLUS CPUĸԿ֤֤ԿоƬڲ粻ʧݣ
 *         ִֻй״֤ɹʹø
 *
 * \param[in] handle     : ZSN603豸
 * \param[in] addr       : AESԿַ2ֽڣ
 * \param[in] key_block  : Կţ1ֽڣ
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_plus_cpu_follow_auth_e2(zsn603_handle_t      handle,
                                       uint16_t             addr,
                                       uint8_t              key_block);


/**
 * \brief  PLUS CPUͨ״֤ʹùУλд֤Ϣ
 *
 * \param[in] handle     : ZSN603豸
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_plus_cpu_sl3_reset_auth(zsn603_handle_t      handle);

/**
 * \brief  ڶȡSL3ݿ飬ڶݿ֮ǰɹִһԿ֤
 *
 * \param[in] handle     : ZSN603豸
 * \param[in] read_mode  : ģʽ(1ֽ):0x30MACģӦMAC
 *                                    0x31MACģӦMAC
 *                                    0x32MACģӦMAC
 *                                    0x33MACģӦMAC
 *                                    0x34MACģӦMAC
 *                                    0x35MACģӦMAC
 *                                    0x36MACģӦMAC
 *                                    0x37MACģӦMAC
 *
 * \param[in] start_addr  : ʼ(2ֽ)
 * \param[in] block_num   : Ŀ(1ֽ):    Χ13
 * \param[in]  buffer_len : ŶȡݻĴСĴСС豸Ϣȣֻ᷵ػС
 * \param[out] p_rx_data  : ȡݵĻ
 * \param[out] p_rx_lenght: ȡݵĳ
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_plus_cpu_sl3_read(zsn603_handle_t   handle,
                                 uint8_t           read_mode,
                                 uint16_t          start_addr,
                                 uint8_t           block_num,
                                 uint32_t          buffer_len,
                                 uint8_t          *p_rx_data,
                                 uint32_t         *p_rx_lenght);

/**
 * \brief  ڶȡSL3ݿ飬ڶݿ֮ǰɹִһԿ֤
 *
 * \param[in] handle     : ZSN603豸
 * \param[in] read_mode  : дģʽ(1ֽ):0xA0MACģӦMAC
 *                                    0xA1MACģӦMAC
 *                                    0xA2MACģӦMAC
 *                                    0xA3MACģӦMAC
 *
 * \param[in] start_addr  : ʼ(2ֽ)
 * \param[in] block_num   : дĿ(1ֽ):    Χ13
 * \param[out] p_rx_data  : дݵĻ
 * \param[out] p_rx_lenght: дݵĳ  (block_num * 16)
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_plus_cpu_sl3_write(zsn603_handle_t  handle,
                                  uint8_t          write_mode,
                                  uint16_t         start_addr,
                                  uint8_t          block_num,
                                  uint8_t         *p_tx_data,
                                  uint8_t          tx_lenght);
/**
 * \brief  ڶSL3Ľֵ ɽĿݽмӼֵдĿ顣
 *
 * \param[in] handle       : ZSN603豸
 * \param[in] write_mode   : ֵģʽ(1ֽ):    0xB7ֵ
 *                                                 0xB9ֵ
 * \param[in] src_addr     : Դ(2ֽ)
 * \param[in] dst_addr     : ĿĿ(2ֽ)
 * \param[in] data         : ֵ(4ֽ):  4ֽзֽǰֽڵķλ
 * \retval  : Ӧ
 * \retval  0 : ִгɹ
 */
uint8_t zsn603_plus_cpu_sl3_value_opr(zsn603_handle_t  handle,
                                      uint8_t          write_mode,
                                      uint16_t         src_addr,
                                      uint16_t         dst_addr,
                                      int              data);
#endif
