/*******************************************************************************
*                                 AWORKS
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2017 Guangzhou ZHIYUAN Electronics Stock Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
* e-mail:      apollo.support@zlg.cn
*******************************************************************************/

/**
 * \file
 * \brief modbusͷļ.
 *
 * \internal
 * \par modification history
 * - 1.02 2017-03-29  mkr, transplant from aworks.
 * - 1.02 2015-05-18  cod, fix code style and comments, a little improve.
 * - 1.01 2013-03-29  liuweiyun, fix code style and comments, a little improve.
 * - 1.00 2012-05-03  ygy, first implementation
 * \endinternal
 */

#ifndef __AM_MB_ERR_H /* { */
#define __AM_MB_ERR_H

/**
 * \addtogroup grp_am_if_mb_err
 * \copydoc am_mb_err.h
 * @{
 */

#ifdef __cplusplus
extern "C" {
#endif

/**  */
typedef enum am_mb_err {
	AM_MB_ERR_NOERR,                   /**< \brief ûд */
	AM_MB_ERR_ALLOC_FAIL,              /**< \brief ڴʧ */
	AM_MB_ERR_ENOREG,                  /**< \brief Ƿעַ */
	AM_MB_ERR_EINVAL,                  /**< \brief Ƿ */
	AM_MB_ERR_EPORTERR,                /**< \brief ˿ڴ */
	AM_MB_ERR_ENORES,                  /**< \brief Դ */
	AM_MB_ERR_EIO,                     /**< \brief I/O */
	AM_MB_ERR_EILLSTATE,               /**< \brief ЭջǷ״̬ */
	AM_MB_ERR_ETIMEDOUT,               /**< \brief ʱ */
	AM_MB_ERR_ECRC,                    /**< \brief CRC  */
	AM_MB_ERR_EFRAME_LEN,              /**< \brief ֡ȴ */
	AM_MB_ERR_EUNEXECPTION_FUNCTION,   /**< \brief ڴܴ */
	AM_MB_ERR_ILLEGAL_FUNCTION,        /**< \brief Ƿ */
	AM_MB_ERR_ILLEGAL_DATA_ADDRESS,    /**< \brief Ƿݵַ */
	AM_MB_ERR_ILLEGAL_DATA_VALUE,      /**< \brief Ƿֵ */
	AM_MB_ERR_SLAVE_DEVICE_FAILURE,    /**< \brief ӻ豸 */
	AM_MB_ERR_ACKNOWLEDGE,             /**< \brief ȷ */
	AM_MB_ERR_SLAVE_BUSY,              /**< \brief ӻ豸æ */
	AM_MB_ERR_MEMORY_PARITY_ERROR,     /**< \brief 洢żԲ*/
	AM_MB_ERR_GATEWAY_PATH_FAILED,     /**< \brief · */
	AM_MB_ERR_GATEWAY_TGT_FAILED,      /**< \brief Ŀ豸Ӧʧ */

	AM_MB_ERR_MODE_NO_SUPPORT,         /**< \brief ֵ֧ͨѶģʽ */
	AM_MB_ERR_THREAD_FAIL,             /**< \brief ̴߳ʧ */
	AM_MB_ERR_EVENT_FAIL,              /**< \brief ¼ʧ */
	AM_MB_ERR_EVENT_WAIT,              /**< \brief ȴ¼ʱδ֪ */
	AM_MB_ERR_OPEN_FILE,               /**< \brief ͨļʧ */
	AM_MB_ERR_UNKOWN_EXP,              /**< \brief δ֪쳣 */

	AM_MB_ERR_MASTER_RCV_ERR,          /**< \brief վݴ  */
} am_mb_err_t;

#ifdef __cplusplus
}
#endif

/** @} grp_am_if_mb_err */

#endif /* } __AM_MB_ERR_H */

/* end of file */
