/*******************************************************************************
*                                 AMetal
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2018 Guangzhou ZHIYUAN Electronics Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
*******************************************************************************/

/**
 * \file
 * \brief fm175xxݣͨӿʵ
 *
 * - 裺
 *   1. ȷӲúôڡ
 *   2. ȷӺߡ
 *   3. A࿨߸Ӧ
 *
 * - ʵ
 *   1. ԿAԿƬĿ2֤֤ͨӡkey A authent failed
 *   2. ֤ɹȡ0Ƭкţ3ԿAȡƲֺԿB4Ϳ2
 *      ͬһӡ
 *
 * - ע⣺
 *   1. ÿ4飬е02Ϊݿ飬3Ϊƿ顣֤ʵǶԵģǸ
 *      am_fm175xx_picca_m1_authent()һΪַ˸ú
 *      ʵ֤Ŀڵ֤ɹԸݿƿеĿȨ޶ԱеĿжд
 *   2. 0еǿƬкţÿֻ
 *   3. 3λƿ飬ȻAԿΪȫFǶȡAԿȴΪȫ0ΪAԿκ¶û
 *      Ȩޡ
 *   4. 4֤Ŀ2ͬһ˶ǲȷģǶԿ4ڵ֤
 *
 * \par Դ
 * \snippet demo_fm175xx_picca_read_block.c src_fm175xx_picca_read_block
 *
 * \internal
 * \par Modification history
 * - 1.00 17-11-21  sdq, first implementation.
 * \endinternal
 */

/**
 * \addtogroup demo_if_fm175xx_picca_read_block
 * \copydoc demo_fm175xx_picca_read_block.c
 */

/** [src_fm175xx_picca_read_block] */
#include "am_fm175xx.h"
#include "am_fm175xx_reg.h"
#include "am_vdebug.h"
#include "am_delay.h"
 
/**
 * \brief A࿨
 */
void demo_fm175xx_picca_read_block (am_fm175xx_handle_t handle)
{
    uint8_t tag_type[2]  = { 0 };      /* ATQA */
    uint8_t uid[10]      = { 0 };      /* UID */
    uint8_t uid_real_len =   0;        /* յUIDĳ */
    uint8_t sak[1]       = { 0 };      /* SAK */
    uint8_t keya[6]      = {0xff, 0xff, 0xff, 0xff, 0xff, 0xff};  /* ֤ԿA */
    uint8_t buff[16]     = { 0 };      /* ڴ洢ݵĻ */
    uint8_t i;
 
    while (1) {

        /* ѰδߣhaltĿ */
        if (AM_FM175XX_STATUS_SUCCESS == am_fm175xx_picca_active\
                                         (handle,
                                          AM_FM175XX_PICCA_REQ_IDLE,
                                          tag_type,
                                          uid,
                                          &uid_real_len,
                                          sak)) {
            am_kprintf("actived\n");

            /* ֤AԿ */
            if (AM_FM175XX_STATUS_SUCCESS == am_fm175xx_picca_authent\
                                             (handle,
                                              AM_FM175XX_IC_KEY_TYPE_A,
                                              uid,
                                              keya,
                                              2)) {     /* ֤ǿ2 */

                /*  */
                am_fm175xx_picca_read(handle, 0, buff); /* ȡ0 */
                am_kprintf("block0: ");
                for (i = 0; i < 16; i++) {
                    am_kprintf("%x ", buff[i]);
                }
                am_kprintf("\n");

                am_fm175xx_picca_read(handle, 3, buff); /* ȡ3 */
                am_kprintf("block3: ");
                for (i = 0; i < 16; i++) {
                    am_kprintf("%x ", buff[i]);
                }
                am_kprintf("\n");

                am_fm175xx_picca_read(handle, 4, buff); /* ȡ4 */
                am_kprintf("block4: ");
                for (i = 0; i < 16; i++) {
                    am_kprintf("%x ", buff[i]);
                }
                am_kprintf("\n\n");
            } else {
                am_kprintf("key A authent failed\n\n");
            }
        }
        am_mdelay(200);
    }
}

/** [src_fm175xx_picca_read_block] */

/* end of file */
