/*******************************************************************************
*                                 AMetal
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2018 Guangzhou ZHIYUAN Electronics Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
*******************************************************************************/

/**
 * \file
 * \brief ڴ׼ӿ
 *
 * ʹñҪͷļ
 * \code
 * #include "am_mem.h"
 * \endcode
 * ṩ˶̬ڴĽӿ
 *
 * // ݴӡ
 *
 * \internal
 * \par modification history:
 * - 1.00 16-10-27  tee, first implementation
 * \endinternal
 */

#ifndef __AM_MEM_H
#define __AM_MEM_H

#ifdef __cplusplus
extern "C" {
#endif	/* __cplusplus	*/

#include "am_memheap.h"

/**
 * \addtogroup am_if_mem
 * \copydoc am_mem.h
 * @{
 */

/**
 * \brief һalignֽڶڴռ
 *
 * \param[in] size    ռĴС
 * \param[in] align   : ָռֽ׵ַalignֽڶ룩
 *
 * \return ռ׵ַNULLʧ
 */
void *am_mem_align(size_t size, size_t align);

/**
 * \brief һڴռ
 * \param[in] size ռĴС
 * \return ռ׵ַNULLʧ
 */
void *am_mem_alloc(size_t size);

/**
 * \brief һڴռ䣨ڴռᱻʼΪ0
 *
 * \param[in] nelem Ԫظ
 * \param[in] size  : һԪصĴСڴռĴСΪ  nelem * size
 *
 * \return ռ׵ַNULLʧ
 *
 * \note ڴռᱻʼΪ0
 */
void *am_mem_calloc(size_t nelem, size_t size);

/**
 * \brief ͷѷڴռ
 * \param[in] ptr ѷڴռ׵ַ
 * \return 
 */
void am_mem_free(void *ptr);

/**
 * \brief ȡռĴС
 * \param[in] ptr    : ռ׵ַ
 * \return ռĴСֽ
 */
size_t am_mem_size(void *ptr);

/**
 * \brief ̬ڴıѷռĴС
 *
 * \param[in] ptr     : ѷռ׵ַ
 * \param[in] newsize : ·ĿռĴС
 *
 * \return ·ռ׵ַNULLʧ
 *
 * \note жϵǰָǷ㹻ռ䣬У ptr ַָ
 * ռ䣬ֱӽptrֵءռ䲻Ȱnew_sizeָĴСռ䣬
 * ԭݴͷβ·ڴ򣬶ͷԭptrָڴԭ
 * ָԶͷţҪ am_memheap_free()ͬʱ·ڴ׵ַ
 */
void *am_mem_realloc(void *ptr, size_t newsize);

/** @}  am_if_mem */

#ifdef __cplusplus
}
#endif	/* __cplusplus 	*/

#endif	/* __AM_MEM_H */

/* end of file */

