/*******************************************************************************
*                                 AMetal
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2018 Guangzhou ZHIYUAN Electronics Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
*******************************************************************************/
/**
 * \file
 * \brief I2C  LM75 ȡ¶ֵ̣ͨ׼ӿʵ
 *
 * - :
 *   1.  J14  KEY  RES ̽һʹð RES ͨʵ裻
 *   2. ̽ñ J11  J13ʹ I2C1  LM75 ӡ
 *
 * - ʵ:
 *   1. ¶ֵ
 *   2.  RES һ¶ֵߡ
 *
 * \note
 *    ۲촮ڴӡĵϢҪ PIOB_3  PC ڵ RXD
 *
 * \par Դ
 * \snippet demo_aml165_core_std_i2c_lm75.c src_aml165_core_std_i2c_lm75
 *
 * \internal
 * \par Modification history
 * - 1.00 15-12-10 win, first implementation
 * \endinternal
 */

/**
 * \addtogroup demo_if_aml165_core_std_i2c_lm75
 * \copydoc demo_aml165_core_std_i2c_lm75.c
 */

/** [src_aml165_core_std_i2c_lm75] */

/*******************************************************************************
  includes
*******************************************************************************/
#include <am_aml165_inst_init.h>
#include "ametal.h"
#include "am_vdebug.h"
#include "demo_std_entries.h"
#include "demo_aml165_core_entries.h"

/**
 * \brief 
 */
void demo_aml165_core_std_i2c_lm75_entry (void)
{
    am_kprintf("demo aml165_core std i2c lm75!\r\n");

    demo_std_i2c_lm75_entry(am_temp_lm75_inst_init());
}
/** [src_aml165_core_std_i2c_lm75] */

/* end of file */
