/*******************************************************************************
*                                 AMetal
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2018 Guangzhou ZHIYUAN Electronics Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
*******************************************************************************/
/**
 * \file
 * \brief I2C  EEPROM ̣ͨͬ׼ӿʵ
 *
 * - 裺
 *   1. PIOB_6  EEPROM  SCL ţ
 *   2. PIOB_7  EEPROM  SDA š
 *
 * - ʵ
 *   1. дַݵӻ
 *   2. մӻݣͨڴӡ
 *   3. дݺͽյĴӻӻһ£
 *   4. LED0  200ms ʱ˸
 *
 * \note
 *    1. LED0 Ҫ̽ J9 ñܱ PIOB_1 ƣ
 *    2. ۲촮ڴӡĵϢҪ PIOA_9  PC ڵ RXD
 *    3. ǰ I2C  SCL ʹõ PIOB_6SDA ʹõ PIOB_7
 *       ɸʵš
 *
 * \par Դ
 * \snippet demo_aml165_core_std_i2c_master_sync.c src_aml165_core_std_i2c_master_sync
 *
 * \internal
 * \par Modification history
 * - 1.00  17-04-24  sdy, first implementation
 * \endinternal
 */

/**
 * \addtogroup demo_if_aml165_core_std_i2c_master_sync
 * \copydoc demo_aml165_core_std_i2c_master_sync.c
 */

/** [src_aml165_core_std_i2c_master_sync] */
#include <am_aml165_inst_init.h>
#include "ametal.h"
#include "am_vdebug.h"
#include "demo_std_entries.h"
#include "demo_aml165_core_entries.h"

#define EEPROM_ADDR 0x50 /**< \brief EEPROM 豸ĵַ */
#define TEST_LEN    8    /**< \brief  EEPROM ҳС */

/**
 * \brief 
 */
void demo_aml165_core_std_i2c_master_sync_entry (void)
{
    AM_DBG_INFO("demo aml165_core std i2c master sync!\r\n");

    demo_std_i2c_master_sync_entry(am_zml165_i2c1_inst_init(),
                                   EEPROM_ADDR,
                                   TEST_LEN);
}
/** [src_aml165_core_std_i2c_master_sync] */

/* end of file */
