/*******************************************************************************
*                                 AMetal
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2018 Guangzhou ZHIYUAN Electronics Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
*******************************************************************************/
/**
 * \file
 * \brief MicroPort FLASH ̣ͨ FTL ӿʵ֡
 *
 * ʹ MX25XX ׼ӿں MTD ӿҪÿдǰȷӦĴ
 * ռѾƱػ̴ܴ鷳ڴͬʱ MX25L1606
 * ĳһַβ 10 εޣӦεַռ洢ݽ
 * ɿ AMetal ṩ FTL ׼ӿڸûʹãͱѶȡ
 *
 * - 裺
 *   1.  MicroPort FLASH ӵ aml166-Core  MicroPort ӿڡ
 *
 * - ʵ
 *   1. дݵ FLASH
 *   2.  FLASH ȡݣͨڴӡ
 *   3. ڴӡԽ
 *
 * \note
 *    1. ۲촮ڴӡĵϢҪ PIOA_10  PC ڵ TXD
 *       PIOA_9  PC ڵ RXD
 *    2. ʹ FTL ӿҪһ RAM ռԼһ߼顣
 *
 * \par Դ
 * \snippet demo_aml166_core_microport_flash_ftl.c src_aml166_core_microport_flash_ftl
 *
 * \internal
 * \par Modification history
 * - 1.00  17-11-13  pea, first implementation
 * \endinternal
 */

/**
 * \addtogroup demo_if_aml166_core_microport_flash_ftl
 * \copydoc demo_aml166_core_microport_flash_ftl.c
 */

/** [src_aml166_core_microport_flash_ftl] */
#include <am_aml166_inst_init.h>
#include "ametal.h"
#include "am_vdebug.h"
#include "demo_components_entries.h"
#include "demo_aml166_core_entries.h"

/**
 * \brief 
 */
void demo_aml166_core_microport_flash_ftl_entry (void)
{
    AM_DBG_INFO("demo aml166_core microport flash ftl!\r\n");

    demo_ftl_entry(am_microport_flash_ftl_inst_init(), 8);
}
/** [src_aml166_core_microport_flash_ftl] */

/* end of file */
