/*******************************************************************************
*                                 AMetal
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2018 Guangzhou ZHIYUAN Electronics Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
*******************************************************************************/
/**
 * \file
 * \brief MicroPort FLASH ̣ͨ MTD ӿʵ֡
 *
 *  MX25L1606 ǵ͵ FLASH 洢ڼ䣬˿ʹ MTD ӿڶд
 * ʹ֮޹أʵֿƽ̨á
 *
 * - 裺
 *   1.  MicroPort FLASH ӵ aml166-Core  MicroPort ӿڡ
 *
 * - ʵ
 *   1. дݵ FLASH
 *   2.  FLASH ȡݣͨڴӡ
 *   3. ڴӡԽ
 *
 * \note
 *    ۲촮ڴӡĵϢҪ PIOA_9  PC ڵ RXD
 *
 * \par Դ
 * \snippet demo_aml166_core_microport_flash_mtd.c src_aml166_core_microport_flash_mtd
 *
 * \internal
 * \par Modification history
 * - 1.00  17-11-13  pea, first implementation
 * \endinternal
 */

/**
 * \addtogroup demo_if_aml166_core_microport_flash_mtd
 * \copydoc demo_aml166_core_microport_flash_mtd.c
 */

/** [src_aml166_core_microport_flash_mtd] */
#include <am_aml166_inst_init.h>
#include "ametal.h"
#include "am_vdebug.h"
#include "demo_components_entries.h"
#include "demo_aml166_core_entries.h"

/**
 * \brief 
 */
void demo_aml166_core_microport_flash_mtd_entry (void)
{
    AM_DBG_INFO("demo aml166_core microport flash mtd!\r\n");

    demo_mtd_entry(am_microport_flash_mtd_inst_init(), 8);
}
/** [src_aml166_core_microport_flash_mtd] */

/* end of file */
