/*******************************************************************************
*                                 AMetal
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2018 Guangzhou ZHIYUAN Electronics Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
*******************************************************************************/

/**
 * \file
 * \brief MicroPort RS485 ̣ͨ׼ӿʵ
 *
 * - 裺
 *   1.  MicroPort RS485 ӵ aml166-Core  MicroPort ӿڡ
 *
 * - ʵ
 *   1. "MicroPort RS485 Test:"
 *   2. յַ
 *
 * \note
 *   1. TP8485E Ϊ RS485 תоƬ
 *   2. ʹ UART1 DEBUG ʹôͬ
 *
 * \par Դ
 * \snippet demo_aml166_core_microport_rs485.c src_aml166_core_microport_rs485
 *
 * \internal
 * \par Modification History
 * - 1.00 17-11-13  pea, first implementation
 * \endinternal
 */

/**
 * \addtogroup demo_if_aml166_core_microport_rs485
 * \copydoc demo_aml166_core_microport_rs485.c
 */

/** [src_aml166_core_microport_rs485] */
#include <am_aml166_inst_init.h>
#include "ametal.h"
#include "am_vdebug.h"
#include "demo_std_entries.h"
#include "demo_aml166_core_entries.h"

/**
 * \brief 
 */
void demo_aml166_core_microport_rs485_entry (void)
{
    AM_DBG_INFO("demo aml166_core microport rs485!\r\n");

    demo_std_uart_rs485_entry(am_microport_rs485_inst_init());
}
/** [src_aml166_core_microport_rs485] */

/* end of file */
