/*******************************************************************************
*                                 AMetal
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2018 Guangzhou ZHIYUAN Electronics Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
*******************************************************************************/

/**
 * \file
 * \brief MiniPort-View + MiniPort-595 ¶ʾʹõװLM75BDȡ¶ȣ 
 *        ̣ͨ׼ӿʵ
 *
 * - 
 *   1. Ҫʹõװ壨aml166-Coreϵ LM75 ¶ȴҪ̽ J11  J13
 *   2. Ƚ MiniPort-595 ֱ aml166-Core  MiniPort ӣ
 *   3.  MiniPort-View  MiniPort-595 ӿӡ
 *
 * - ʵ
 *   1. Կʾǰ¶ȣJ14ðѡ̽ KEY  RESµװϵ
 *      KEY/RES ʵᷢȣ¶ȴɼ¶ߡ
 *
 * - ˵
 *   1. ʹ I2C ȡ LM75 ¶ȣʹò鿴 I2C µ
 *
 * \par Դ
 * \snippet demo_aml166_core_miniport_hc595_digitron_temp.c src_aml166_core_miniport_hc595_digitron_temp
 *
 * \internal
 * \par Modification history
 * - 1.00 15-07-21  tee, first implementation.
 * \endinternal
 */

/**
 * \addtogroup demo_if_aml166_core_miniport_hc595_digitron_temp
 * \copydoc demo_aml166_core_miniport_hc595_digitron_temp.c
 */

/** [src_aml166_core_miniport_hc595_digitron_temp] */
#include <am_aml166_inst_init.h>
#include "ametal.h"
#include "am_vdebug.h"
#include "demo_std_entries.h"
#include "demo_aml166_core_entries.h"

/**
 * \brief  
 */
void demo_aml166_core_miniport_hc595_digitron_temp_entry (void)
{
    AM_DBG_INFO("demo aml166_core miniport hc595 digitron temp!\r\n");

    am_miniport_view_595_inst_init();

    demo_std_digitron_temp_entry(0, am_temp_lm75_inst_init());
}
/** [src_aml166_core_miniport_hc595_digitron_temp] */

/* end of file */
