/*******************************************************************************
*                                 AMetal
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2018 Guangzhou ZHIYUAN Electronics Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
*******************************************************************************/

/**
 * \file
 * \brief MiniPort-LED + MiniPort-595 ̣ͨ׼ӿʵ
 *
 * - 
 *   1. Ƚ MiniPort-595 ֱ aml166-Core  MiniPort ӣ
 *   2.  MiniPort-LED  MiniPort-595 ӿӡ
 *
 * - ʵ
 *   1. ˮ
 *
 * \par Դ
 * \snippet demo_aml166_core_miniport_hc595_led.c src_aml166_core_miniport_hc595_led
 *
 * \internal
 * \par Modification history
 * - 1.00 15-07-21  tee, first implementation.
 * \endinternal
 */

/**
 * \addtogroup demo_if_aml166_core_miniport_hc595_led
 * \copydoc demo_aml166_core_miniport_hc595_led.c
 */

/** [src_aml166_core_miniport_hc595_led] */
#include <am_aml166_inst_init.h>
#include "ametal.h"
#include "am_vdebug.h"
#include "am_hc595_spi.h"
#include "am_zlg116.h"
#include "demo_std_entries.h"
#include "demo_aml166_core_entries.h"

/**
 * \brief  
 */
void demo_aml166_core_miniport_hc595_led_entry (void)
{
    AM_DBG_INFO("demo aml166_core miniport hc595 led!\r\n");

    demo_std_hc595_led_entry(am_miniport_595_inst_init());
}
/** [src_aml166_core_miniport_hc595_led] */

/* end of file */
