/*******************************************************************************
*                                 AMetal
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2018 Guangzhou ZHIYUAN Electronics Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
*******************************************************************************/

/**
 * \file
 * \brief SPI  DMA ʽ̣ͨ׼ӿʵ
 *
 * - 裺
 *   1.  SPI  MOSI ź MISO ģӻ豸ػԡ
 *
 * - ʵ
 *   1. ͨ MOSI ݣݴ MOSI أ
 *   2. ԴڴӡԽ
 *
 * \note
 *    ۲촮ڴӡĵϢҪ PIOA_9  PC ڵ RXD
 *
 * \par Դ
 * \snippet demo_aml166_core_std_spi_master_dma.c src_aml166_core_std_spi_master_dma
 *
 * \internal
 * \par History
 * - 1.00 17-04-27  ari, first implementation
 * \endinternal
 */

/**
 * \addtogroup demo_if_aml166_core_std_spi_master_dma
 * \copydoc demo_aml166_core_std_spi_master_dma.c
 */

/** [src_aml166_core_std_spi_master_dma] */
#include <am_aml166_inst_init.h>
#include "ametal.h"
#include "am_vdebug.h"
#include "am_zlg116.h"
#include "demo_std_entries.h"
#include "demo_aml166_core_entries.h"

/**
 * \brief 
 */
void demo_aml166_core_std_spi_master_dma_entry (void)
{
    AM_DBG_INFO("demo aml166_core std spi master dma!\r\n");

    demo_std_spi_master_entry(am_zlg116_spi1_dma_inst_init(), PIOA_4);
}
/** [src_aml166_core_std_spi_master_dma] */

/* end of file */
