/*******************************************************************************
*                                 AMetal
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2018 Guangzhou ZHIYUAN Electronics Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
*******************************************************************************/

/**
 * \file
 * \brief ģʽ̣ͨӿʵ
 *
 * - 裺
 *   1. ϵǰ WAKE_UP(PIOA_0) ӵ͵ƽ
 *   2. ȴ MCU ģʽ
 *   3.  PIOA_0 ӵߵƽʹ PIOA_0 ϲػ MCU
 *
 * - ʵ
 *   1. ɹģʽʱ"enter standby!" J-Link ԶϿ
 *      򴮿"WAKE_UP(PIOA_0) must be low!"
 *   2. PIOA_0 غMCU λС
 *
 * \note
 *    ֻ WAKE_UP(PIOA_0) Ϊ͵ƽʱܽģʽ
 *
 * \par Դ
 * \snippet demo_aml166_core_drv_standbymode_wake_up.c src_aml166_core_drv_standbymode_wake_up
 *
 * \internal
 * \par Modification History
 * - 1.00 17-04-15  nwt, first implementation
 * \endinternal
 */
 
/**
 * \addtogroup demo_if_aml166_core_drv_standbymode_wake_up
 * \copydoc demo_aml166_core_drv_standbymode_wake_up.c
 */
 
/** [src_aml166_core_drv_standbymode_wake_up] */
#include <am_aml166_inst_init.h>
#include "ametal.h"
#include "am_vdebug.h"
#include "demo_zlg_entries.h"
#include "demo_aml166_core_entries.h"

/**
 * \brief 
 */
void demo_aml166_core_drv_standbymode_wake_up_entry (void)
{
    AM_DBG_INFO("demo aml166_core drv standbymode wake up!\r\n");

    demo_zlg116_drv_standbymode_wake_up_entry();
}
/** [src_aml166_core_drv_standbymode_wake_up] */

/* end of file */
