/*******************************************************************************
*                                 AMetal
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2018 Guangzhou ZHIYUAN Electronics Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
*******************************************************************************/

/**
 * \file
 * \brief IWDG ̣ͨ׼ӿʵ
 *
 * - ʵ
 *   1. ޸ĺ궨 __IWDG_FEED_TIME_MS ֵ 1500ms( 5ms )оƬλ
 *   2. ޸ĺ궨 __IWDG_FEED_TIME_MS ֵС 1500ms( 5ms )С
 *
 * \par Դ
 * \snippet demo_aml166_core_std_iwdg.c src_aml166_core_std_iwdg
 *
 * \internal
 * \par Modification history
 * - 1.00 17-04-26  sdy, first implementation
 * \endinternal
 */

/**
 * \addtogroup demo_if_aml166_core_std_iwdg
 * \copydoc demo_aml166_core_std_iwdg.c
 */

/** [src_aml166_core_std_iwdg] */
#include <am_aml166_inst_init.h>
#include "ametal.h"
#include "am_vdebug.h"
#include "demo_std_entries.h"
#include "demo_aml166_core_entries.h"

/**
 * \brief Źʱʱ
 *
 * \note ΪŹڲʱWDTOSC__IWDG_TIMEOUT_MSӦʵʱ
 *       
 */
#define __IWDG_TIMEOUT_MS       1500

/**
 * \brief Źιʱ䣬ιʱ䳬IWDG_TIMEOUT_MSֵ5msϣ,
 *        Ź¼
 */
#define __IWDG_FEED_TIME_MS     2000

/**
 * \brief 
 */
void demo_aml166_core_std_iwdg_entry (void)
{
    AM_DBG_INFO("demo aml166_core std iwdg!\r\n");

    demo_std_wdt_entry(am_zlg116_iwdg_inst_init(),
                       __IWDG_TIMEOUT_MS,
                       __IWDG_FEED_TIME_MS);

}
/** [src_aml166_core_std_iwdg] */

/* end of file */
