/*******************************************************************************
*                                 AMetal
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2018 Guangzhou ZHIYUAN Electronics Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
*******************************************************************************/

/**
 * \file
 * \brief  PensSV жʵֵ isr defer
 *
 * ΪждڷغʱӰϵͳʵʱԣжҪƳ
 * ӳд am_isr_defer.h
 *
 * \internal
 * \par modification history
 * - 1.00 12-10-23  tee, first implementation
 * \endinternal
 */
#include "ametal.h"
#include "am_isr_defer.h"

#ifndef __AM_BSP_ISR_DEFER_PENDSV_H
#define __AM_BSP_ISR_DEFER_PENDSV_H

#ifdef __cplusplus
extern "C" {
#endif

/**
 * \brief жӳģʹõȼĿΪ32
 *
 * ֻҪʹøú궨һΣjobЧȼΪ0 ~ 31
 *
 */
#define AM_BSP_ISR_DEFER_PRIORITY_NUM     32

/**
 * \brief ISR DEFER 弶ʼжӳ PENDSV 
 */
void am_bsp_isr_defer_pendsv_init (void);

#ifdef __cplusplus
}
#endif

#endif /* __AM_BSP_ISR_DEFER_PENDSV_H */

/* end of file */
