/*******************************************************************************
*                                 AMetal
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2018 Guangzhou ZHIYUAN Electronics Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
*******************************************************************************/

/**
 * \file
 * \brief  QuickLZ ѹѹ㷨
 *
 * \internal
 * \par Modification History
 * - 1.00 2020-09-10 , yrh, first implementation.
 * \endinternal
 */
#ifndef __AM_QUICKLZ_H
#define __AM_QUICKLZ_H

#ifdef __cplusplus
extern "C" {
#endif

/**
 * @addtogroup am_if_am_quicklz
 * @copydoc am_quicklz.h
 * @{
 */
#include "ametal.h"

/**
 * \brief ѹ
 *
 * \param[in]  p_src    : Դݵַ
 * \param[in]  p_dst    : ѹݴ洢ʼַСΪsrc_size + 400ֽ
 * \param[in]  src_size : ҪѹݴС
 *
 * \return > 0 : ѹݵֽ
 *         = 0 : ѹʧ
 */
size_t am_quicklz_compress(const void *p_src, char *p_dst, size_t src_size);

/**
 * \brief ݽѹ
 *
 * \param[in] p_src ָѹݵĴַ
 * \param[in] p_dst ָѹݴַѹp_dst 㹻Ŀռ
 *
 * \return > 0 : ѹݵֽ
 *         = 0 : ѹʧ
 */
size_t am_quicklz_decompress(const char *p_src,
                             void       *p_dst);

/**
 * \brief ȡǰѹĴС
 *
 * \param[in] p_src ָѾѹݵʼַ
 *
 * \return ѹݴС
 */
size_t am_quicklz_size_compressed(const char *p_src);

/**
 * \brief ȡѹѹݴСҲѹ֮ǰݴС
 *
 * \param[in] p_src ָѾѹݵʼַ
 *
 * \return ѹԺݴС
 */
size_t am_quicklz_size_decompressed(const char *p_src);

/**
 * @}
 */

#ifdef __cplusplus
}
#endif

#endif /* __AM_QUICKLZ_H */

/* end of file */
