/*******************************************************************************
*                                 AMetal
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2018 Guangzhou ZHIYUAN Electronics Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
*******************************************************************************/

/**
 * \file
 * \brief жûļ
 * \sa am_hwconf_arm_nvic.c
 *
 * \internal
 * \par Modification history
 * - 1.00 15-01-29  hbt, first implementation.
 * \endinternal
 */

#include "ametal.h"
#include "am_zlg116.h"
#include "am_arm_nvic.h"

/**
 * \addtogroup am_if_src_hwconf_arm_nvic
 * \copydoc am_hwconf_arm_nvic.c
 * @{
 */

/**
 * \brief жȼλ
 *        M0ȼλΪ2λȫռȼ
 */
#define __NVIC_PRIORITY_BITS       2            /**< \brief оƬֵ֧ȼλ */
#define __NVIC_PRIORITY_GROUP      0            /**< \brief NVICжȼ */


/** 
 * \brief ISR Ϣ 
 *        Ĭ϶ΪMCUֵ֧жϸ
 *        ûԸӦʵҪõжϸ
 *        ޸ĸúֵԴﵽٲҪڴ˷ѵĿġ
 */
#define __ISRINFO_COUNT    INUM_INTERNAL_COUNT

/**
 * \brief 洢ûжϻصϢ
 */
static struct am_arm_nvic_isr_info __nvic_isr_infor[__ISRINFO_COUNT];

/**
 * \brief 洢жϱӦ__nvic_isr_inforжϻصϢ
 *        λõӳ䣬СһMCUֵ֧жϸȡ
 */
static uint8_t __nvic_isr_map[INUM_INTERNAL_COUNT];
 

/** \brief ж豸Ϣ */
static const am_arm_nvic_devinfo_t __g_nvic_devinfo =
{
    {
        INUM_INTERNAL_MIN, /**< \brief жʼ */
        INUM_INTERNAL_MAX  /**< \brief жĩβ */
    },                    

    AM_ARM_NVIC_CORE_M0,   /**< \brief ں */

	__NVIC_PRIORITY_BITS,  /**< \brief ȼλ */
	__NVIC_PRIORITY_GROUP, /**< \brief ж */

    INUM_INTERNAL_COUNT,   /**< \brief ж */
    __nvic_isr_map,        /**< \brief ISR Ϣӳ(С input_cnt һ) */
    __ISRINFO_COUNT,       /**< \brief ISR Ϣ */
    __nvic_isr_infor,      /**< \brief ISR Ϣӳڴ(С isrinfo_cnt һ) */

    NULL,                  /**< \brief ƽ̨ʼ */
    NULL                   /**< \brief ƽ̨ȥʼ */
};

/** \brief ж豸ʵ */
static am_arm_nvic_dev_t __g_nvic_dev;

/**
 * \brief жʵʼʼж
 */
int am_zlg116_nvic_inst_init (void)
{
    return am_arm_nvic_init(&__g_nvic_dev, &__g_nvic_devinfo);
}

/** 
 * \brief жʵʼ
 */
void am_zlg116_nvic_inst_deinit (void)
{
    am_arm_nvic_deinit();
}

/**
 * @}
 */

/* end of file */
