/*******************************************************************************
*                                 AMetal
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2018 Guangzhou ZHIYUAN Electronics Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
*******************************************************************************/

/**
 * \file
 * \brief NVRAM ׼洢ζ
 *
 * ʹ NVRAM ׼ӿڽзʧݵĴ洢ȡʱ \sa am_nvram_set() 
 * \sa am_nvram_get()ӿڵϸ \sa am_nvram.h
 *
 * 洢ε name ͵Ԫ unit ڸļж壬ûϵͳеķʧ
 * 洢
 *
 * \sa am_nvram_cfg.c
 * \internal
 * \par modification history
 * - 1.00 15-01-19  tee, first implementation
 * \endinternal
 */

#include "ametal.h"
#include "am_nvram.h"

/**
 * \addtogroup am_if_src_servconf_nvram_cfg
 * \copydoc am_nvram_cfg.c
 * @{
 */

/**
 * \brief NVRAM 洢б
 *
 * ϵͳеĴ洢ξУ洢бβӦôһյĴ洢
 * {NULL, 0, 0, 0, NULL, 0}
 *
 * һ洢ΰĸϢ
 * Ԫţڴ洢еʼַֽʵʴ洢豸
 *
 * ʵʴ洢豸ʵӲأʹ FM24C02 ṩ NVRAM 洢
 * ֿΪ "fm24c02" ʵӦļж
 * 綨¼洢Σ
 *     am_local am_const am_nvram_segment_t __g_nvram_cfg_segs[] = {
 *         {"ip",         0,  0,  4,   "fm24c02"},
 *         {"ip",         1,  4,  4,   "fm24c02"},
 *         {"temp_limit", 0,  8,  4,   "fm24c02"},
 *         {"system",     0,  12, 50,  "fm24c02"},
 *         {"test",       0,  62, 178, "fm24c02"},
 *         {NULL,         0,   0,   0,      NULL}     // մ洢Σ뱣
 */
am_local am_const am_nvram_segment_t __g_nvram_cfg_segs[] = {
    {"microport_eeprom", 0, 0, 256, "microport_eeprom"}, /* MicroPort-EEPROM */
    {NULL,               0, 0, 0,   NULL}                /* մ洢Σ뱣 */
};

/**
 * \brief NVRAM ׼ʼ
 */
void am_nvram_inst_init (void)
{

    /* ʼʱָӦóĴ洢 */
    am_nvram_init(&__g_nvram_cfg_segs[0]);
}

/**
 * @}
 */

/* end of file */
