/*******************************************************************************
*                                 AMetal
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2018 Guangzhou ZHIYUAN Electronics Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
*******************************************************************************/

/**
 * \file
 * \brief fm175xxдݣͨӿʵ
 *
 * - 裺
 *   1. ȷӲúôڡ
 *   2. ȷӺߡ
 *   3. A࿨߸Ӧ
 *
 * - ʵ
 *   1. ԿAԿƬָĿ֤֤ͨӡkey A authent failed
 *   2. ֤ɹָĿеĸʽΪֵĸʽôеֵ5ٴӡ
 *   3. ֤ɹָеĸʽֵĸʽôӡֵʱԽ130е
 *      Ϊ1ִУˢʱ᲻ϵĴӡͬһ֣֮ٽ130еΪ0ִУ
 *      ˢ򴮿ڽӡ15ʼ-5ֵ
 *
 * \par Դ
 * \snippet demo_fm175xx_picca_val_operate.c src_fm175xx_picca_val_operate
 *
 * \internal
 * \par Modification history
 * - 1.00 17-11-22  sdq, first implementation.
 * \endinternal
 */

/**
 * \addtogroup demo_if_fm175xx_picca_val_operate
 * \copydoc demo_fm175xx_picca_val_operate.c
 */

/** [src_fm175xx_picca_val_operate] */
#include "am_fm175xx.h"
#include "am_fm175xx_reg.h"
#include "am_vdebug.h"
#include "am_delay.h"

/**
 * \brief A࿨ֵ
 */
void demo_fm175xx_picca_val_operate (am_fm175xx_handle_t handle)
{
 
    uint8_t tag_type[2]  = { 0 };      /* ATQA */
    uint8_t uid[10]      = { 0 };      /* UID */
    uint8_t uid_real_len = 0;          /* յUIDĳ */
    uint8_t sak[3]       = { 0 };      /* SAK */
    uint8_t keya[4]      = {0xff, 0xff, 0xff, 0xff};  /* ֤ԿA */
    uint8_t blocknum     = 9;          /* ҪдĿ */
    int32_t value        = 0;          /* ֵеֵ */

    while (1) {

        /* ѰδߣhaltĿ */
        if (AM_FM175XX_STATUS_SUCCESS == am_fm175xx_picca_active\
                                         (handle,
                                          AM_FM175XX_PICCA_REQ_IDLE,
                                          tag_type,
                                          uid,
                                          &uid_real_len,
                                          sak)) {
            am_kprintf("actived\n");

            /* ֤AԿ */
            if (AM_FM175XX_STATUS_SUCCESS == am_fm175xx_picca_authent\
                                             (handle,
                                              0X1b,
                                              uid,
                                              keya,
                                              blocknum)) {

#if 1
                /* ʽֵĸʽʹγ򽫿ʼΪֵĸʽ */
                uint8_t once_flag = 0;            /* ֻһγʼıʶ */
                if (once_flag == 0) {
                    once_flag = 1;
                    /* ȽݿʼΪֵĸʽʼֵΪ20 */
                    am_fm175xx_picca_val_set(handle,
                                                   blocknum,
                                                   20);
                }
#endif

                /* ֵ5 */
                if (AM_FM175XX_STATUS_SUCCESS == am_fm175xx_picca_val_operate\
                                                  (handle,
                                                   AM_FM175XX_PICCA_PICC_SUB,
                                                   blocknum,
                                                   blocknum,
                                                   5)) {
                    /* ֵ */
                    if (AM_FM175XX_STATUS_SUCCESS == am_fm175xx_picca_val_get\
                            (handle, blocknum, &value)) {
                        am_kprintf("value :%d\n", value);
                    }
                } else {
                    am_kprintf("value operate failed\n");
                }
            } else {
                am_kprintf("key A authent failed\n\n");
            }
        }
        am_mdelay(200);
    }
}

/** [src_fm175xx_picca_val_operate] */

/* end of file */
