/*******************************************************************************
*                                 AMetal
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2018 Guangzhou ZHIYUAN Electronics Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
*******************************************************************************/

/**
 * \file
 * \brief DACģת̣ͨSTDӿʵ
 *
 * - ʵ
 *   1. DAC1523mvѹ
 *
 *
 * \par Դ
 * \snippet demo_std_dac.c src_std_dac
 *
 * \internal
 * \par Modification History
 * - 1.00 16-09-27  mkr, first implementation.
 * \endinternal
 */

/**
 * \addtogroup demo_if_std_dac
 * \copydoc demo_std_dac.c
 */

 /** [src_std_dac] */
#include "ametal.h"
#include "am_dac.h"
#include "am_vdebug.h"
#include "am_delay.h"
#include "am_int.h"

/**
 * \brief DACѹ׼ӿڲʵ
 * \return 
 */
void demo_std_dac_entry (am_dac_handle_t dac0_handle,
                         uint8_t         channel,
                         uint32_t        mv_out)
{
    uint32_t        dac_bits    = 0;
    uint32_t        dac_vref    = 0;

    /* ȡDACת */
    dac_bits = am_dac_bits_get(dac0_handle);

    /* ȡDACοѹλmV */
    dac_vref = am_dac_vref_get(dac0_handle);

    am_dac_mv_set(dac0_handle, channel, mv_out);

    /* ʹDAC */

    am_kprintf("DAC Std Demo test\n");

    am_kprintf("dac_bits = %d\n", dac_bits);
    am_kprintf("dac_vref = %d\n", dac_vref);

    while (1) {
        am_kprintf("DAC Output...\n");
        am_mdelay(500);
    }
}


 /** [src_std_dac] */

/* end of file */

