/*******************************************************************************
*                                 AMetal
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2018 Guangzhou ZHIYUAN Electronics Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
*******************************************************************************/

/**
 * \file
 * \brief ʱ׼ӿ
 * 
 * 뼶ʱ΢뼶ʱ
 * 
 * \internal
 * \par Modification history
 * - 1.00 14-11-01  tee, first implementation.
 * \endinternal
 */

#ifndef __AM_DELAY_H
#define __AM_DELAY_H


#ifdef __cplusplus
extern "C" {
#endif

#include "am_types.h"

/**
 * \addtogroup am_if_delay
 * \copydoc am_delay.h
 * @{
 */
     
/** 
 * \brief 뼶ʱ
 * \param[in] nms : ʱĺ
 * \return 
 */   
void am_mdelay(uint32_t nms);
    
/** 
 * \brief ΢뼶ʱ
 * \param[in] nus : ʱ΢
 * \return 
 */    
void am_udelay(uint32_t nus);
 
/**
 * @} 
 */
 
#ifdef __cplusplus
}
#endif

#endif /* __AM_DELAY_H */

/* end of file */
