/*******************************************************************************
*                                 AMetal
*                       ----------------------------
*                       innovating embedded platform
*
* Copyright (c) 2001-2018 Guangzhou ZHIYUAN Electronics Co., Ltd.
* All rights reserved.
*
* Contact information:
* web site:    http://www.zlg.cn/
*******************************************************************************/

/**
 * \file
 * \brief zlg116 оƬͷļ
 *
 * \internal
 * \par Modification history
 * - 1.00 17-04-07  nwt, first implementation
 * \endinternal
 */

#ifndef __AM_ZLG116_H
#define __AM_ZLG116_H

#ifdef __cplusplus
extern "C" {
#endif

#include "soc_cfg.h"

/** \brief оƬŶ */
#include "zlg116_pin.h"

/** \brief оƬжϱŶ */
#include "zlg116_inum.h"

/** \brief оƬĴַ */
#include "zlg116_regbase.h"

/** \brief оƬӳ */
#include "zlg116_periph_map.h"

/** \brief ʱID */
#include "zlg116_clk.h"

/** \brief DMAͨŶ */
#include "zlg116_dma_chan.h"

/**
 * \name Cortex-M0 ں˴
 * @{
 */
#ifndef AM_CORTEX_M0
#define AM_CORTEX_M0             1
#endif

#if defined AM_CORTEX_M0

#define __MPU_PRESENT            0  /**< \brief M0MPU */
#define __NVIC_PRIO_BITS         2  /**< \brief M0Ϊ2 */
#define __Vendor_SysTickConfig   1  /**< \brief Ϊ1 SysTick */

#include "core_cm0.h"

#endif

/** @} */

#ifdef __cplusplus
}
#endif

#endif /* __AM_ZLG116_H */

/* end of file */
